<?php
    include_once("../inc/mct_CInterface.class.php");

    /************************************************************************
        Klasse:          mct_CCfgHeaderIntSearch
        Beschreibung:    Search for interface-Definitions in Header of CFG
    ************************************************************************/

    class mct_CCfgHeaderIntSearch extends mct_CInterface
    {
        // Globale Header Daten
        var $strCfg_WorkDir;
        var $nCfg_Refresh;
        var $nCfg_Interval;
        var $strCfg_WriteExpires;
        var $strCfg_IconDir;

        /*-----------------------------------------------------------------------
            CONSTRUCTOR
        -----------------------------------------------------------------------*/
        function mct_CCfgHeaderIntSearch()
        {
        }

        /*-----------------------------------------------------------------------
            Methode:          CFG-Interface Header
            Beschreibung:     Liest das CFG und filtert Header-Infos heraus
        -----------------------------------------------------------------------*/
        function mct_getCfg_IntHeader($strCfg_FileToRead)
        {
            $fres = fopen($strCfg_FileToRead, "r");
            while( ! feof($fres) )
            {
                $str = fgets($fres);
                $str = trim($str);
                //Globale Header-Daten lesen
                if( strncmp(strtolower($str), "workdir:", 8)== 0 )
                    $this->strCfg_WorkDir = trim(substr($str, 8));
                else if( strncmp(strtolower($str), "refresh:", 8)== 0 )
                    $this->nCfg_Refresh = trim(substr($str, 8));
                else if( strncmp(strtolower($str), "interval:", 9)== 0 )
                    $this->nCfg_Interval = trim(substr($str, 9));
                else if( strncmp(strtolower($str), "writeexpires:", 13)== 0 )
                    $this->strCfg_WriteExpires = trim(substr($str, 13));
                else if( strncmp(strtolower($str), "icondir:", 8)== 0 )
                    $this->strCfg_IconDir = trim(substr($str, 8));

                //Header-Daten fr Interfaces lesen
                else if( strncmp(strtolower($str), "maxbytes[_]:", 12)== 0 )
                    $this->nMaxBytes = trim(substr($str, 12));
                else if( strncmp(strtolower($str), "title[_]:", 9)== 0 )
                    $this->strTitle = trim(substr($str, 9));
                else if( strncmp(strtolower($str), "pagetop[_]:", 11)== 0 )
                    $this->strPageTop = substr($str, 11);
                else if( strncmp(strtolower($str), "pagetop[^]:", 11)== 0 )
                    $this->strPageTopPre = substr($str, 11);
                else if( strncmp(strtolower($str), "pagetop[$]:", 11)== 0 )
                    $this->strPageTopApp = substr($str, 11);
                else if( strncmp(strtolower($str), "addhead[_]:", 11)== 0 )
                    $this->strAddHead = substr($str, 11);
                else if( strncmp(strtolower($str), "absmax[_]:", 10)== 0 )
                    $this->nAbsMax = trim(substr($str, 10));
                else if( strncmp(strtolower($str), "unscaled[_]:", 12)== 0 )
                    $this->strUnscaled = trim(substr($str, 12));
                else if( strncmp(strtolower($str), "withpeak[_]:", 12)== 0 )
                    $this->strWithPeak = trim(substr($str, 12));
                else if( strncmp(strtolower($str), "suppress[_]:", 12)== 0 )
                    $this->strSuppress = trim(substr($str, 12));
                else if( strncmp(strtolower($str), "directory[_]:", 13)== 0 )
                    $this->strDirectory = trim(substr($str, 13));
                else if( strncmp(strtolower($str), "xsize[_]:", 9)== 0 )
                    $this->nXSize = trim(substr($str, 9));
                else if( strncmp(strtolower($str), "ysize[_]:", 9)== 0 )
                    $this->nYSize = trim(substr($str, 9));
                else if( strncmp(strtolower($str), "xscale[_]:", 10)== 0 )
                    $this->fXScale = trim(substr($str, 10));
                else if( strncmp(strtolower($str), "yscale[_]:", 10)== 0 )
                    $this->fYScale = trim(substr($str, 10));
                else if( strncmp(strtolower($str), "xzoom[_]:", 9)== 0 )
                    $this->fXZoom = trim(substr($str, 9));
                else if( strncmp(strtolower($str), "yzoom[_]:", 9)== 0 )
                    $this->fYZoom = trim(substr($str, 9));
                else if( strncmp(strtolower($str), "options[_]:", 11)== 0 )
                    $this->strOptions = trim(substr($str, 11));
                else if( strncmp(strtolower($str), "colours[_]:", 11)== 0 )
                    $this->strColours = trim(substr($str, 11));
                else if( strncmp(strtolower($str), "background[_]:", 14)== 0 )
                    $this->strBackground = trim(substr($str, 14));
                else if( strncmp(strtolower($str), "ylegend[_]:", 11)== 0 )
                    $this->strYLegend = trim(substr($str, 11));
                else if( strncmp(strtolower($str), "shortlegend[_]:", 15)== 0 )
                    $this->strShortLegend = trim(substr($str, 15));
                else if( strncmp(strtolower($str), "legend1[_]:", 11)== 0 )
                    $this->strLegend1 = trim(substr($str, 11));
                else if( strncmp(strtolower($str), "legend2[_]:", 11)== 0 )
                    $this->strLegend2 = trim(substr($str, 11));
                else if( strncmp(strtolower($str), "legend3[_]:", 11)== 0 )
                    $this->strLegend3 = trim(substr($str, 11));
                else if( strncmp(strtolower($str), "legend4[_]:", 11)== 0 )
                    $this->strLegend4 = trim(substr($str, 11));
                else if( strncmp(strtolower($str), "legendi[_]:", 11)== 0 )
                    $this->strLegendI = trim(substr($str, 11));
                else if( strncmp(strtolower($str), "legendo[_]:", 11)== 0 )
                    $this->strLegendO = trim(substr($str, 11));
            }
            fclose($fres);

            return;
        }

        /*-----------------------------------------------------------------------
            Methode:          Output der Daten
            Beschreibung:     Gibt die Daten in einer Tabelle aus
        -----------------------------------------------------------------------*/
        function mct_print( $bAll = true )
        {
            parent::mct_print($bAll);   //Hilfsprint, um bergeordnete Klasse zu printen
            //Standard-Werte
            echo "<h1>Header-Daten Interface</h1><br>";
            echo "<table border=1><tr>
            <td><b>MaxBytes:</b></td>
            <td>".$this->nMaxBytes."</td></tr>
            <td><b>Title:</b></td>
            <td>".$this->strTitle ."</td></tr>
            <td><b>PageTop:</b></td>
            <td>".$this->strPageTop."</td></tr>
            <td><b>PageTopPre:</b></td>
            <td>".$this->strPageTopPre."</td></tr>
            <td><b>PageTopApp:</b></td>
            <td>".$this->strPageTopApp."</td></tr>
            <td><b>AddHead:</b></td>
            <td>".$this->strAddHead."</td></tr>
            <td><b>AbsMax:</b></td>
            <td>".$this->nAbsMax."</td></tr>
            <td><b>AddHead:</b></td>
            <td>".$this->strUnscaled."</td></tr>
            <td><b>WithPeak:</b></td>
            <td>".$this->strWithPeak."</td></tr>
            <td><b>Suppress:</b></td>
            <td>".$this->strSuppress."</td></tr>
            <td><b>Directory:</b></td>
            <td>".$this->strDirectory."</td></tr>
            <td><b>XSize:</b></td>
            <td>".$this->nXSize."</td></tr>
            <td><b>YSize:</b></td>
            <td>".$this->nYSize."</td></tr>
            <td><b>XZoom:</b></td>
            <td>".$this->nXZoom."</td></tr>
            <td><b>YZoom:</b></td>
            <td>".$this->nYZoom."</td></tr>
            <td><b>XScale:</b></td>
            <td>".$this->nXScale."</td></tr>
            <td><b>YScale:</b></td>
            <td>".$this->nYScale."</td></tr>
            <td><b>Options:</b></td>
            <td>".$this->strOptions."</td></tr>
            <td><b>Colours:</b></td>
            <td>".$this->strColours."</td></tr>
            <td><b>Background:</b></td>
            <td>".$this->strBackground."</td></tr>
            <td><b>YLegend:</b></td>
            <td>".$this->strYLegend."</td></tr>
            <td><b>ShortLegend:</b></td>
            <td>".$this->strShortLegend."</td></tr>
            <td><b>Legnend1:</b></td>
            <td>".$this->strLegend1."</td></tr>
            <td><b>Legend2:</b></td>
            <td>".$this->strLegend2."</td></tr>
            <td><b>Legend3:</b></td>
            <td>".$this->strLegend3."</td></tr>
            <td><b>Legend4:</b></td>
            <td>".$this->strLegend4."</td></tr>
            <td><b>LegendI:</b></td>
            <td>".$this->strLegendI."</td></tr>
            <td><b>LegendO:</b></td>
            <td>".$this->strLegendO."</td></tr></table>";
        }
    }// Ende der Klasse
?>