<?php
    include_once("../inc/mct_CConfigFile.class.php");

    /************************************************************************
        Klasse:          mct_CCfgHeaderSearch
        Beschreibung:    Search for Header in CFG
    ************************************************************************/
    class mct_CCfgHeaderSearch extends mct_CConfigFile
    {
        /*-----------------------------------------------------------------------
            CONSTRUCTOR
        -----------------------------------------------------------------------*/
        function mct_CCfgHeaderSearch()
        {
        }

        /*-----------------------------------------------------------------------
            Methode:          CFG-Header Funktionen
            Beschreibung:     Liest das CFG und filtert Header-Infos heraus
        -----------------------------------------------------------------------*/
        // Zu lesendes File
        function mct_getCfg_Header($strCfg_FileToRead)
        {
            $fres = fopen($strCfg_FileToRead, "r");
            while( ! feof($fres) )
            {
                $str = fgets($fres);
                $str = trim($str);

                //Globale Header-Daten lesen
                if( strncmp(strtolower($str), "workdir:", 8)== 0 )
                    $this->strWorkDir = trim(substr($str, 8));
                else if( strncmp(strtolower($str), "refresh:", 8)== 0 )
                    $this->nRefresh = trim(substr($str, 8));
                else if( strncmp(strtolower($str), "interval:", 9)== 0 )
                    $this->nInterval = trim(substr($str, 9));
                else if( strncmp(strtolower($str), "writeexpires:", 13)== 0 )
                    $this->strWriteExpires = trim(substr($str, 13));
                else if( strncmp(strtolower($str), "icondir:", 8)== 0 )
                    $this->strIconDir = trim(substr($str, 8));
            }
            fclose($fres);
        }

        /*-----------------------------------------------------------------------
            Methode:          Output der Daten
            Beschreibung:     Gibt die Daten in einer Tabelle aus
        -----------------------------------------------------------------------*/
        function mct_print( $bAll = true )
        {
            parent::mct_print($bAll);   //Hilfsprint, um bergeordnete Klasse zu printen

            //Globale Werte (Tabelle)
            echo "<h1>Globale Header-Daten</h1><br>";
            echo "<table border=1><tr>
            <td><b>Workdir:</b></td>
            <td>".$this->strWorkDir."</td></tr>
            <td><b>Refresh:</b></td>
            <td>".$this->nRefresh."</td></tr>
            <td><b>Interval:</b></td>
            <td>".$this->nInterval."</td></tr>
            <td><b>WriteExpires:</b></td>
            <td>".$this->strWriteExpires."</td></tr>
            <td><b>IconDir:</b></td>
            <td>".$this->strIconDir."</td></tr></table>";
        }
    }// Ende der Klasse
?>