<?php
    include_once("../inc/mct_CInterface.class.php");

    /************************************************************************
        Klasse:          mct_CCfgIntSearch
        Beschreibung:    Search for Interfaces in CFG
    ************************************************************************/
    class mct_CCfgIntSearch extends mct_CInterface
    {
        //Standard-Werte fr alle Interfaces
        var $arrIpaddr;
        var $arrIndex;
        var $arrCommunity;
        var $arrPageTop;
        var $arrTitle;
        var $arrAddHead;
        var $arrUnscaled;
        var $arrWithPeak;
        var $arrSuppress;
        var $arrDirectory;
        var $arrOptions;
        var $arrColours;
        var $arrBackground;
        var $arrYLegend;
        var $arrShortLegend;
        var $arrLegend1;
        var $arrLegend2;
        var $arrLegend3;
        var $arrLegend4;
        var $arrLegendI;
        var $arrLegendO;
        var $arrCfg_MaxBytes;
        var $arrCfg_AbsMax;
        var $arrCfg_XSize;
        var $arrCfg_YSize;
        var $arrCfg_XZoom;
        var $arrCfg_YZoom;
        var $arrCfg_XScale;
        var $arrCfg_YScale;

        // Werte Traget
        var $arrCfg_Target;
        var $nCfg_TargetId;

        var $arrCfg_Port;
        var $arrCfg_Timeout;
        var $arrCfg_Retries;
        var $arrCfg_Backoff;

        /*-----------------------------------------------------------------------
            CONSTRUCTOR
        -----------------------------------------------------------------------*/
        function mct_CCfgIntSearch()
        {
            $this->nCfg_TargetId    = 0;
            $this->arrIpaddr        = array();
            $this->arrIndex         = array();
            $this->arrCommunity     = array();
            $this->arrPageTop       = array();
            $this->arrTitle         = array();
            $this->arrAddHead       = array();
            $this->arrUnscaled      = array();
            $this->arrWithPeak      = array();
            $this->arrSuppress      = array();
            $this->arrDirectory     = array();
            $this->arrOptions       = array();
            $this->arrColours       = array();
            $this->arrBackground    = array();
            $this->arrYLegend       = array();
            $this->arrShortLegend   = array();
            $this->arrLegend1       = array();
            $this->arrLegend2       = array();
            $this->arrLegend3       = array();
            $this->arrLegend4       = array();
            $this->arrLegendI       = array();
            $this->arrLegendO       = array();
            $this->arrCfg_MaxBytes  = array();
            $this->arrCfg_AbsMax    = array();
            $this->arrCfg_XSize     = array();
            $this->arrCfg_YSize     = array();
            $this->arrCfg_XZoom     = array();
            $this->arrCfg_YZoom     = array();
            $this->arrCfg_XScale    = array();
            $this->arrCfg_YScale    = array();
            $this->arrCfg_Target    = array();
            $this->arrCfg_Port      = array();
            $this->arrCfg_Timeout   = array();
            $this->arrCfg_Retries   = array();
            $this->arrCfg_Backoff   = array();
        }

        /*-----------------------------------------------------------------------
            Method:         mct_free
            Description:    Free result and clean up
        -----------------------------------------------------------------------*/
        function mct_free()
        {
            // Set Object to NULL
            $this = null;
        }

        /*-----------------------------------------------------------------------
            Method:         Interface Functions
            Description:    get the founded interface infos
        -----------------------------------------------------------------------*/
        function mct_getCfg_TargetQuantity()    { return $this->nCfg_TargetId; }
        function mct_getInt_Ipaddr($intid)      { if( array_key_exists($intid, $this->arrIpaddr) )      return $this->arrIpaddr[$intid];      }
        function mct_getInt_Index($intid)       { if( array_key_exists($intid, $this->arrIndex) )       return $this->arrIndex[$intid];       }
        function mct_getInt_Community($intid)   { if( array_key_exists($intid, $this->arrCommunity) )   return $this->arrCommunity[$intid];   }
        function mct_getInt_Port($intid)        { if( array_key_exists($intid, $this->arrCfg_Port) )      return $this->arrCfg_Port[$intid];      }
        function mct_getInt_Timeout($intid)     { if( array_key_exists($intid, $this->arrCfg_Timeout) )   return $this->arrCfg_Timeout[$intid];   }
        function mct_getInt_Retries($intid)     { if( array_key_exists($intid, $this->arrCfg_Retries) )   return $this->arrCfg_Retries[$intid];   }
        function mct_getInt_Backoff($intid)     { if( array_key_exists($intid, $this->arrCfg_Backoff) )   return $this->arrCfg_Backoff[$intid];   }
        function mct_getInt_Pagetop($intid)     { if( array_key_exists($intid, $this->arrPageTop) )     return $this->arrPageTop[$intid];     }
        function mct_getInt_MaxBytes($intid)    { if( array_key_exists($intid, $this->arrCfg_MaxBytes) )  return $this->arrCfg_MaxBytes[$intid];  }
        function mct_getInt_Title($intid)       { if( array_key_exists($intid, $this->arrTitle) )       return $this->arrTitle[$intid];       }
        function mct_getInt_AddHead($intid)     { if( array_key_exists($intid, $this->arrAddHead) )     return $this->arrAddHead[$intid];     }
        function mct_getInt_AbsMax($intid)      { if( array_key_exists($intid, $this->arrCfg_AbsMax) )    return $this->arrCfg_AbsMax[$intid];    }
        function mct_getInt_Unscaled($intid)    { if( array_key_exists($intid, $this->arrUnscaled) )    return $this->arrUnscaled[$intid];    }
        function mct_getInt_WithPeak($intid)    { if( array_key_exists($intid, $this->arrWithPeak) )    return $this->arrWithPeak[$intid];    }
        function mct_getInt_Suppress($intid)    { if( array_key_exists($intid, $this->arrSuppress) )    return $this->arrSuppress[$intid];    }
        function mct_getInt_Directory($intid)   { if( array_key_exists($intid, $this->arrDirectory) )   return $this->arrDirectory[$intid];   }
        function mct_getInt_XSize($intid)       { if( array_key_exists($intid, $this->arrCfg_XSize) )     return $this->arrCfg_XSize[$intid];     }
        function mct_getInt_YSize($intid)       { if( array_key_exists($intid, $this->arrCfg_YSize) )     return $this->arrCfg_YSize[$intid];     }
        function mct_getInt_XZoom($intid)       { if( array_key_exists($intid, $this->arrCfg_XZoom) )     return $this->arrCfg_XZoom[$intid];     }
        function mct_getInt_YZoom($intid)       { if( array_key_exists($intid, $this->arrCfg_YZoom) )     return $this->arrCfg_YZoom[$intid];     }
        function mct_getInt_XScale($intid)      { if( array_key_exists($intid, $this->arrCfg_XScale) )    return $this->arrCfg_XScale[$intid];    }
        function mct_getInt_YScale($intid)      { if( array_key_exists($intid, $this->arrCfg_YScale) )    return $this->arrCfg_YScale[$intid];    }
        function mct_getInt_Options($intid)     { if( array_key_exists($intid, $this->arrOptions) )     return $this->arrOptions[$intid];     }
        function mct_getInt_Colours($intid)     { if( array_key_exists($intid, $this->arrColours) )     return $this->arrColours[$intid];     }
        function mct_getInt_Background($intid)  { if( array_key_exists($intid, $this->arrBackground) )  return $this->arrBackground[$intid];  }
        function mct_getInt_YLegend($intid)     { if( array_key_exists($intid, $this->arrYLegend) )     return $this->arrYLegend[$intid];     }
        function mct_getInt_ShortLegend($intid) { if( array_key_exists($intid, $this->arrShortLegend) ) return $this->arrShortLegend[$intid]; }
        function mct_getInt_Legend1($intid)     { if( array_key_exists($intid, $this->arrLegend1) )     return $this->arrLegend1[$intid];     }
        function mct_getInt_Legend2($intid)     { if( array_key_exists($intid, $this->arrLegend2) )     return $this->arrLegend2[$intid];     }
        function mct_getInt_Legend3($intid)     { if( array_key_exists($intid, $this->arrLegend3) )     return $this->arrLegend3[$intid];     }
        function mct_getInt_Legend4($intid)     { if( array_key_exists($intid, $this->arrLegend4) )     return $this->arrLegend4[$intid];     }
        function mct_getInt_LegendI($intid)     { if( array_key_exists($intid, $this->arrLegendI) )     return $this->arrLegendI[$intid];     }
        function mct_getInt_LegendO($intid)     { if( array_key_exists($intid, $this->arrLegendO) )     return $this->arrLegendO[$intid];     }

        /*-----------------------------------------------------------------------
            Methode:          CFG-Interface Funktionen
            Beschreibung:     Liest das CFG und filtert Interface-Infos heraus
        -----------------------------------------------------------------------*/
        // Zu lesendes File
        function mct_getCfg_Interface($strCfg_FileToRead)
        {
            $fres = fopen($strCfg_FileToRead, "r");   // ffnen des Files
            $this->nCfg_TargetId = 0;
            $x = 66;

            while( ! feof($fres) )                    // Solange Ende des Files nicht erreicht
            {
                $str = fgets($fres);                        // Zeile fr Zeile einlesen
                $str = trim($str);                          // Leerzeichen herausschneiden
                $strOL = str_replace(" ", "", $str);        // Alle Leerzeichen entfernen (Damit ungleiche Schreibweisen ausgeglichen werden)

                if( strncmp(strtolower($str), "target[", 7)== 0 ) // Wenn Target gefunden wird
                {
                    /////////////////////////////////
                    // Targets suchen und zerlegen //
                    /////////////////////////////////
                    $nCfg_TargetPos1 = strpos( $strOL, "[" );
                    $nCfg_TargetPos2 = strpos( $strOL, "]" );
                    $this->arrCfg_Target = substr($strOL, 7, $nCfg_TargetPos2 - ($nCfg_TargetPos1 + 1) );
                    // Ausgabe des Targets mit Index

                    $nCfg_IndexPos1 = strpos($strOL, ":");
                    $strCfg_Index1 = substr( $strOL, ($nCfg_IndexPos1 + 1) );
                    $nCfg_IndexPos2 = strpos($strCfg_Index1, ":");
                    $this->arrIndex[$this->nCfg_TargetId] = substr( $strCfg_Index1, 0, $nCfg_IndexPos2 );
                    // Ausgabe des definitiven Index

                    $nCfg_strLaengeIndex = strlen(trim($this->arrIndex[$this->nCfg_TargetId]));
                    $nCfg_strLaengeTarget = strlen($this->arrCfg_Target);
                    $this->arrIpaddr[$this->nCfg_TargetId] = trim(substr($this->arrCfg_Target, 0, ($nCfg_strLaengeTarget - ($nCfg_strLaengeIndex + 1))));
                    // Ausgabe des definitiven Hostnamens

                    $nCfg_commPos1 = strpos($strCfg_Index1, ":");
                    $nCfg_commPos2 = strpos($strCfg_Index1, "@");
                    $this->arrCommunity[$this->nCfg_TargetId] = trim(substr($strCfg_Index1, ($nCfg_commPos1 + 1), ($nCfg_commPos2 - ($nCfg_commPos1 + 1))));
                    // Ausgabe der definitiven Community

                    /////////////////////////
                    // Community Extension //
                    /////////////////////////
                    $strCfg_Index3 = substr($strCfg_Index1, $nCfg_commPos2);
                    $arrCfg_PortPos1 = strpos($strCfg_Index3, ":");
                    $strCfg_Index4 = substr($strCfg_Index3, ($arrCfg_PortPos1 + 1));
                    $arrCfg_PortPos2 = strpos($strCfg_Index4, ":");
                    $this->arrCfg_Port[$this->nCfg_TargetId] = trim(substr($strCfg_Index4, 0, $arrCfg_PortPos2));
                    // Ausgabe des definitiven Ports

                    $strCfg_Index5 = substr($strCfg_Index4, ($arrCfg_PortPos2 + 1));
                    $arrCfg_TimeoutPos1 = strpos($strCfg_Index5, ":");
                    $this->arrCfg_Timeout[$this->nCfg_TargetId] = trim(substr($strCfg_Index5, 0, $arrCfg_TimeoutPos1));
                    // Ausgabe des definitiven Timeouts


                    $strCfg_Index6 = substr($strCfg_Index5, ($arrCfg_TimeoutPos1 + 1));
                    $arrCfg_RetriesPos1 = strpos($strCfg_Index6, ":");
                    $this->arrCfg_Retries[$this->nCfg_TargetId] = trim(substr($strCfg_Index6, 0, $arrCfg_RetriesPos1));
                    // Ausgabe der definitiven Retries
                    //String-Umkehrung fr letzten Teil

                    $strCfg_Index7 = strrev($strCfg_Index6);
                    $nCfg_backoffPos1 = strpos($strCfg_Index7, ":");
                    $arrCfg_BackoffRev = substr($strCfg_Index7, 0, $nCfg_backoffPos1 );
                    $this->arrCfg_Backoff[$this->nCfg_TargetId] = trim(strrev($arrCfg_BackoffRev));

                    //Ausgabe des definitiven Backoff
                    $this->nCfg_TargetId++;

                    $this->strCommExt[$this->nCfg_TargetId] = "";

                    if( array_key_exists($this->nCfg_TargetId, $this->arrCfg_Port) )
                        $this->strCommExt[$this->nCfg_TargetId] .= $this->arrCfg_Port[$this->nCfg_TargetId];

                    $this->strCommExt[$this->nCfg_TargetId] .= ":";

                    if( array_key_exists($this->nCfg_TargetId, $this->arrCfg_Timeout) )
                        $this->strCommExt[$this->nCfg_TargetId] .= $this->arrCfg_Timeout[$this->nCfg_TargetId];

                    $this->strCommExt[$this->nCfg_TargetId] .= ":";

                    if( array_key_exists($this->nCfg_TargetId, $this->arrCfg_Retries) )
                        $this->strCommExt[$this->nCfg_TargetId] .= $this->arrCfg_Retries[$this->nCfg_TargetId];

                    $this->strCommExt[$this->nCfg_TargetId] .= ":";

                    if( array_key_exists($this->nCfg_TargetId, $this->arrCfg_Backoff) )
                        $this->strCommExt[$this->nCfg_TargetId] .= $this->arrCfg_Backoff[$this->nCfg_TargetId];
                }

                ///////////////////////////////
                // Interface Spezials suchen //
                ///////////////////////////////

                // MaxBytes suchen
                else if ( strncmp(strtolower($str), "maxbytes[" , 9)== 0 and strncmp($str, "maxbytes[_]" , 11)!= 0)
                {
                    $arrCfg_MaxBytesPos1 = strpos($str, ":");
                    $this->arrCfg_MaxBytes[$this->nCfg_TargetId] = trim(substr($str, ($arrCfg_MaxBytesPos1 + 1)));
                    // Ausgabe definitive MaxBytes
                }
                // Title suchen
                else if ( strncmp(strtolower($str), "title[" , 6)== 0 and strncmp($str, "title[_]" , 8)!= 0)
                {
                    $nCfg_TitlePos1 = strpos($str, ":");
                    $this->arrTitle[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_TitlePos1 + 1)));
                    // Ausgabe definitiver Title
                }
                //////////////////////////////////////
                // Pagetop suchen und zusammenfgen //
                //////////////////////////////////////

                else if ( strncmp(strtolower($str), "pagetop[" , 8)== 0 and strncmp($str, "pagetop[_]" , 10)!= 0)
                {
                    $nCfg_PagetopPos1 = strpos($str, ":");
                    $this->arrPageTop[$this->nCfg_TargetId] = substr($str, ($nCfg_PagetopPos1 + 1));
                    // Ausgabe definitiver Pagetop
                }
                // AddHead suchen
                else if ( strncmp(strtolower($str), "addhead[" , 8)== 0 and strncmp($str, "addhead[_]" , 10)!= 0)
                {
                    $nCfg_AddHeadPos1 = strpos($str, ":");
                    $this->arrAddHead[$this->nCfg_TargetId] = substr($str, ($nCfg_AddHeadPos1 + 1));
                    // Ausgabe definitiver AddHead
                }
                // AbsMax suchen
                else if ( strncmp(strtolower($str), "absmax[" , 7)== 0 and strncmp($str, "absmax[_]" , 9)!= 0)
                {
                    $arrCfg_AbsMaxPos1 = strpos($str, ":");
                    $this->arrCfg_AbsMax[$this->nCfg_TargetId] = trim(substr($str, ($arrCfg_AbsMaxPos1 + 1)));
                    // Ausgabe definitiver AbsMax
                }
                // Unscaled suchen
                else if ( strncmp(strtolower($str), "unscaled[" , 9)== 0 and strncmp($str, "unscaled[_]" , 11)!= 0)
                {
                    $nCfg_UnscaledPos1 = strpos($str, ":");
                    $this->arrUnscaled[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_UnscaledPos1 + 1)));
                    // Ausgabe definitiver Unscaled
                }
                // WithPeak suchen
                else if ( strncmp(strtolower($str), "withpeak[" , 9)== 0 and strncmp($str, "withpeak[_]" , 11)!= 0)
                {
                    $nCfg_WithPeakPos1 = strpos($str, ":");
                    $this->arrWithPeak[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_WithPeakPos1 + 1)));
                    // Ausgabe definitiver WithPeak
                }
                // Suppress suchen
                else if ( strncmp(strtolower($str), "suppress[" , 9)== 0 and strncmp($str, "suppress[_]" , 11)!= 0)
                {
                    $nCfg_SuppressPos1 = strpos($str, ":");
                    $this->arrSuppress[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_SuppressPos1 + 1)));
                    // Ausgabe definitive Suppress
                }
                // Directory suchen
                else if ( strncmp(strtolower($str), "directory[" , 10)== 0 and strncmp($str, "directory[_]" , 12)!= 0)
                {
                    $nCfg_DirectoryPos1 = strpos($str, ":");
                    $this->arrDirectory[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_DirectoryPos1 + 1)));
                    // Ausgabe definitives Directory
                }
                // XSize suchen
                else if ( strncmp(strtolower($str), "xsize[" , 6)== 0 and strncmp($str, "xsize[_]" , 8)!= 0)
                {
                    $arrCfg_XSizePos1 = strpos($str, ":");
                    $this->arrCfg_XSize[$this->nCfg_TargetId] = trim(substr($str, ($arrCfg_XSizePos1 + 1)));
                    // Ausgabe definitives XSize
                }
                // YSize suchen
                else if ( strncmp(strtolower($str), "ysize[" , 6)== 0 and strncmp($str, "ysize[_]" , 8)!= 0)
                {
                    $arrCfg_YSizePos1 = strpos($str, ":");
                    $this->arrCfg_YSize[$this->nCfg_TargetId] = trim(substr($str, ($arrCfg_YSizePos1 + 1)));
                    // Ausgabe definitives YSize
                }
                // XZoom suchen
                else if ( strncmp(strtolower($str), "xzoom[" , 6)== 0 and strncmp($str, "xzoom[_]" , 8)!= 0)
                {
                    $nCfg_XZoomPos1 = strpos($str, ":");
                    $this->arrCfg_XZoom[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_XZoomPos1 + 1)));
                    // Ausgabe definitives XZoom
                }
                // YZoom suchen
                else if ( strncmp(strtolower($str), "yzoom[" , 6)== 0 and strncmp($str, "yzoom[_]" , 8)!= 0)
                {
                    $nCfg_YZoomPos1 = strpos($str, ":");
                    $this->arrCfg_YZoom[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_YZoomPos1 + 1)));
                    // Ausgabe definitives YZoom
                }
                // XScale suchen
                else if ( strncmp(strtolower($str), "xscale[" , 7)== 0 and strncmp($str, "xscale[_]" , 9)!= 0)
                {
                    $nCfg_XScalePos1 = strpos($str, ":");
                    $this->arrCfg_XScale[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_XScalePos1 + 1)));
                    // Ausgabe definitives XScale
                }
                // YScale suchen
                else if ( strncmp(strtolower($str), "yscale[" , 7)== 0 and strncmp($str, "yscale[_]" , 9)!= 0)
                {
                    $nCfg_YScalePos1 = strpos($str, ":");
                    $this->arrCfg_YScale[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_YScalePos1 + 1)));
                    // Ausgabe definitives YScale
                }
                // Options suchen
                else if ( strncmp(strtolower($str), "options[" , 8)== 0 and strncmp($str, "options[_]" , 10)!= 0)
                {
                    $nCfg_OptionsPos1 = strpos($str, ":");
                    $this->arrOptions[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_OptionsPos1 + 1)));
                    // Ausgabe definitives Options
                }
                // Colours suchen
                else if ( strncmp(strtolower($str), "colours[" , 8)== 0 and strncmp($str, "colours[_]" , 10)!= 0)
                {
                    $nCfg_ColoursPos1 = strpos($str, ":");
                    $this->arrColours[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_ColoursPos1 + 1)));
                    // Ausgabe definitives Colours
                }
                // Background suchen
                else if ( strncmp(strtolower($str), "background[" , 11)== 0 and strncmp($str, "background[_]" , 13)!= 0)
                {
                    $nCfg_BackgroundPos1 = strpos($str, ":");
                    $this->arrBackground[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_BackgroundPos1 + 1)));
                    // Ausgabe definitiver Background
                }
                // YLegend suchen
                else if ( strncmp(strtolower($str), "ylegend[" , 8)== 0 and strncmp($str, "ylegend[_]" , 10)!= 0)
                {
                    $nCfg_YLegendPos1 = strpos($str, ":");
                    $this->arrYLegend[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_YLegendPos1 + 1)));
                    // Ausgabe definitive YLegend
                }
                // ShortLegend suchen
                else if ( strncmp(strtolower($str), "shortlegend[" , 12)== 0 and strncmp($str, "shortlegend[_]" , 14)!= 0)
                {
                    $nCfg_ShortLegendPos1 = strpos($str, ":");
                    $this->arrShortLegend[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_ShortLegendPos1 + 1)));
                    // Ausgabe definitive ShortLegend
                }
                // Legend1 suchen
                else if ( strncmp(strtolower($str), "legend1[" , 8)== 0 and strncmp($str, "legend1[_]" , 10)!= 0)
                {
                    $nCfg_Legend1Pos1 = strpos($str, ":");
                    $this->arrLegend1[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_Legend1Pos1 + 1)));
                    // Ausgabe definitive Legend1
                }
                // Legend2 suchen
                else if ( strncmp(strtolower($str), "legend2[" , 8)== 0 and strncmp($str, "legend2[_]" , 10)!= 0)
                {
                    $nCfg_Legend2Pos1 = strpos($str, ":");
                    $this->arrLegend2[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_Legend2Pos1 + 1)));
                    // Ausgabe definitive Legend2
                }
                // Legend3 suchen
                else if ( strncmp(strtolower($str), "legend3[" , 8)== 0 and strncmp($str, "legend3[_]" , 10)!= 0)
                {
                    $nCfg_Legend3Pos1 = strpos($str, ":");
                    $this->arrLegend3[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_Legend3Pos1 + 1)));
                    // Ausgabe definitive Legend3
                }
                // Legend4 suchen
                else if ( strncmp(strtolower($str), "legend4[" , 8)== 0 and strncmp($str, "legend4[_]" , 10)!= 0)
                {
                    $nCfg_Legend4Pos1 = strpos($str, ":");
                    $this->arrLegend4[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_Legend4Pos1 + 1)));
                    // Ausgabe definitive Legend4
                }
                // LegendI suchen
                else if ( strncmp(strtolower($str), "legendi[" , 8)== 0 and strncmp($str, "legendi[_]" , 10)!= 0)
                {
                    $nCfg_LegendIPos1 = strpos($str, ":");
                    $this->arrLegendI[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_LegendIPos1 + 1)));
                    // Ausgabe definitive LegendI
                }
                // LegendO suchen
                else if ( strncmp(strtolower($str), "legendo[" , 8)== 0 and strncmp($str, "legendo[_]" , 10)!= 0)
                {
                    $nCfg_LegendOPos1 = strpos($str, ":");
                    $this->arrLegendO[$this->nCfg_TargetId] = trim(substr($str, ($nCfg_LegendOPos1 + 1)));
                    // Ausgabe definitive LegendO
                }
            } //While Ende

            fclose($fres);
        } //Funktion Ende

        /*-----------------------------------------------------------------------
            Methode:          Output der Daten
            Beschreibung:     Gibt die Daten in einer Tabelle aus
        -----------------------------------------------------------------------*/
        function mct_print()
        {
            echo "Es wurden ".$this->nCfg_TargetId." Targets gefunden </p>";
            for($nintCount = 0; $nintCount != $this->nCfg_TargetId; $nintCount ++)
            {
                echo "<table border='1' cellspacing='0' cellpadding='0'>
                <tr><td><b>Interface: ".($nintCount + 1)."</b></td>
                <td>&nbsp;</td></tr>
                <tr><td><b>Index:</b></td>
                <td>".$this->arrIndex[$nintCount]."</td></tr>
                <tr><td><b>IP / Hostname:</b></td>
                <td>".$this->arrIpaddr[$nintCount]."</td></tr>
                <tr><td><b>Community:</b></td>
                <td>".$this->arrCommunity[$nintCount]."</td></tr>
                <tr><td><b>Port:</b></td>
                <td>".$this->arrCfg_Port[$nintCount]."</td></tr>
                <tr><td><b>Timeout:</b></td>
                <td>".$this->arrCfg_Timeout[$nintCount]."</td></tr>
                <tr><td><b>Retries:</b></td>
                <td>".$this->arrCfg_Retries[$nintCount]."</td></tr>
                <tr><td><b>Backoff:</b></td>
                <td>".$this->arrCfg_Backoff[$nintCount]."</td></tr>
                <tr><td><b>MaxBytes:</b></td>
                <td>".$this->arrCfg_MaxBytes[$nintCount + 1]."</td></tr>
                <tr><td><b>Title:</b></td>
                <td>".$this->arrTitle[$nintCount + 1]."</td></tr>
                <tr><td><b>AddHead:</b></td>
                <td>".$this->arrAddHead[$nintCount + 1]."</td></tr>
                <tr><td><b>AbsMax:</b></td>
                <td>".$this->arrCfg_AbsMax[$nintCount + 1]."</td></tr>
                <tr><td><b>Unscaled:</b></td>
                <td>".$this->arrUnscaled[$nintCount + 1]."</td></tr>
                <tr><td><b>WithPeak:</b></td>
                <td>".$this->arrWithPeak[$nintCount + 1]."</td></tr>
                <tr><td><b>Suppress:</b></td>
                <td>".$this->arrSuppress[$nintCount + 1]."</td></tr>
                <tr><td><b>Directory:</b></td>
                <td>".$this->arrDirectory[$nintCount + 1]."</td></tr>
                <tr><td><b>XSize:</b></td>
                <td>".$this->arrCfg_XSize[$nintCount + 1]."</td></tr>
                <tr><td><b>YSize:</b></td>
                <td>".$this->arrCfg_YSize[$nintCount + 1]."</td></tr>
                <tr><td><b>XZoom:</b></td>
                <td>".$this->arrCfg_XZoom[$nintCount + 1]."</td></tr>
                <tr><td><b>YZoom:</b></td>
                <td>".$this->arrCfg_YZoom[$nintCount + 1]."</td></tr>
                <tr><td><b>XScale:</b></td>
                <td>".$this->arrCfg_XScale[$nintCount + 1]."</td></tr>
                <tr><td><b>YScale:</b></td>
                <td>".$this->arrCfg_YScale[$nintCount + 1]."</td></tr>
                <tr><td><b>Options:</b></td>
                <td>".$this->arrOptions[$nintCount + 1]."</td></tr>
                <tr><td><b>Colours:</b></td>
                <td>".$this->arrColours[$nintCount + 1]."</td></tr>
                <tr><td><b>Background:</b></td>
                <td>".$this->arrBackground[$nintCount + 1]."</td></tr>
                <tr><td><b>YLegend:</b></td>
                <td>".$this->arrYLegend[$nintCount + 1]."</td></tr>
                <tr><td><b>ShortLegend:</b></td>
                <td>".$this->arrShortLegend[$nintCount + 1]."</td></tr>
                <tr><td><b>Legend1:</b></td>
                <td>".$this->arrLegend1[$nintCount + 1]."</td></tr>
                <tr><td><b>Legend2:</b></td>
                <td>".$this->arrLegend2[$nintCount + 1]."</td></tr>
                <tr><td><b>Legend3:</b></td>
                <td>".$this->arrLegend3[$nintCount + 1]."</td></tr>
                <tr><td><b>Legend4:</b></td>
                <td>".$this->arrLegend4[$nintCount + 1]."</td></tr>
                <tr><td><b>LegendI:</b></td>
                <td>".$this->arrLegendI[$nintCount + 1]."</td></tr>
                <tr><td><b>LegendO:</b></td>
                <td>".$this->arrLegendO[$nintCount + 1]."</td></tr>
                </table></p>";
            }// Ende For Schleife
        } // Ende der Funktion
    }// Ende der Klasse
?>
