<?php
    /************************************************************************
        Class:          mct_CCommunity
        Inheritance:    mct_CFileCFG
        Description:    Community Object
    ************************************************************************/
    include_once("../inc/mct_general.inc.php");
    include_once("../inc/mct_func.inc.php");
    include_once("../inc/mct_CFileCFG.class.php");
    include_once("../inc/mct_CDebug.class.php");
    include_once("../inc/mct_CDbQuery.class.php");

    class mct_CCommunity extends mct_CFileCFG
    {
        /*-----------------------------------------------------------------------
            CONSTRUCTOR
        -----------------------------------------------------------------------*/
        function mct_CCommunity()
        {
            // Initialize Properties
            $this->mct_init();
        }

        /*-----------------------------------------------------------------------
            Method:         mct_init
            Description:    Initialize Properties
            ---------------------------------------------------------------------
            Parameter:      -
            ---------------------------------------------------------------------
            Return:         -
        -----------------------------------------------------------------------*/
        function mct_init()
        {
            parent::mct_init();
        }

        /*-----------------------------------------------------------------------
            Method:         mct_free
            Description:    Free result and clean up
            ---------------------------------------------------------------------
            Parameter:      -
            ---------------------------------------------------------------------
            Return:         -
        -----------------------------------------------------------------------*/
        function mct_free()
        {
            // Free Parent
            parent::mct_free();
            // Set Object to NULL
            $this = null;
        }

        /*-----------------------------------------------------------------------
            Method:         mct_writedb
            Description:    Inserts or Updates Object to Database
            ---------------------------------------------------------------------
            Parameter:      -
            ---------------------------------------------------------------------
            Return:         -
        -----------------------------------------------------------------------*/
        function mct_writedb()
        {
            global $debug;

            $bReturn = false;

            // Create Query-Object
            $objDB = new mct_CDbQuery;

            // Check if Object has an ID
            if( $this->nId == -1 )
            {
                // Get New ID on tconfigfile
                $this->nId = $this->mct_getNewID('tcommunity');

                // Create INSERT Query
                $objDB->mct_setQuery("INSERT INTO tcommunity(`ID`, `Name`) VALUES("
                    . $this->nId
                    . ", '" . $objDB->mct_DBStr($this->strName) . "'"
                    . ")");

                // Execute Query
                if( ! $objDB->mct_execute() )
                {
                    // Error happend
                    $objDB->objReturn->mct_print();
                }
                else $bReturn = true;
            }
            // Object has ID, so Update it!
            else
            {
                // Create UPDATE Query
                $objDB->mct_setQuery("UPDATE tcommunity SET "
                    . "  `Name`='"   . $objDB->mct_DBStr($this->strName) . "'"
                    . " WHERE `ID`=" . $this->nId);

                // Execute Query
                if( ! $objDB->mct_execute() )
                {
                    // Error happend
                    $objDB->objReturn->mct_print();
                }
                else $bReturn = true;
            }
            // Free Object
            $objDB->mct_free();
            if( !$bReturn && defined("_DEBUG_MODE_") && isset($debug) ) $debug->mct_add_stack($this, "ERROR", __FILE__, __LINE__);
            return $bReturn;
        }

        /*-----------------------------------------------------------------------
            Method:         mct_getfromdb
            Description:    Get Object from Database
            ---------------------------------------------------------------------
            Parameter:      nId            Integer of Record ID
            ---------------------------------------------------------------------
            Return:         Boolean        true if Ok, false if faild
        -----------------------------------------------------------------------*/
        function mct_getfromdb( $nId = -1 )
        {
            global $debug;

            $bReturn = false;
            $objDB = new mct_CDbQuery;
            // Create Query
            $objDB->strQuery = "SELECT * FROM tcommunity WHERE `ID`=" . $nId;
            // Execute Query
            if( ! $objDB->mct_execute() )
            {
                // Error happend
                $objDB->objReturn->mct_print();
            }
            elseif( $objDB->mct_getRecordCount() == 0 )
            {
                //Print DB-Object
                //$objDB->mct_print(false);
            }
            else
            {
                // Fill Object with values
                $this->nId = (int)$objDB->objRow->ID;
                $this->strName = $objDB->objRow->Name;
                $bReturn = true;
            }
            $objDB->mct_free();
            if( !$bReturn && defined("_DEBUG_MODE_") && isset($debug) ) $debug->mct_add_stack($this, "ERROR", __FILE__, __LINE__);
            return $bReturn;
        }

        /*-----------------------------------------------------------------------
            Method:         mct_getfromdb
            Description:    Get Object from Database
            ---------------------------------------------------------------------
            Parameter:      nId            Integer of Record ID
            ---------------------------------------------------------------------
            Return:         Boolean        true if Ok, false if faild
        -----------------------------------------------------------------------*/
        function mct_getfromdb_byname( $strName = "" )
        {
            global $debug;

            $bReturn = false;
            if( $strName == "" )
                return false;

            $objDB = new mct_CDbQuery;
            // Create Query
            $objDB->strQuery = "SELECT * FROM tcommunity WHERE `Name`='" . $strName . "'";
            // Execute Query
            if( ! $objDB->mct_execute() )
            {
                // Error happend
                $objDB->objReturn->mct_print();
            }
            elseif( $objDB->mct_getRecordCount() == 0 )
            {
                // Print DB-Object
                //<p> $objDB->mct_print(false);
            }
            else
            {
                // Fill Object with values
                $this->nId = (int)$objDB->objRow->ID;
                $this->strName = $objDB->objRow->Name;
                $bReturn = true;
            }
            $objDB->mct_free();
            if( !$bReturn && defined("_DEBUG_MODE_") && isset($debug) ) $debug->mct_add_stack($this, "ERROR", __FILE__, __LINE__);
            return $bReturn;
        }

        /*-----------------------------------------------------------------------
            Method:         mct_deletefromdb
            Description:    Delete a Record from a Table
            ---------------------------------------------------------------------
            Return:         Boolean          true if Ok, false if faild
        -----------------------------------------------------------------------*/
        function mct_deletefromdb()
        {
            global $debug;

            $bReturn = false;
            if( $this->nId > -1 )
            {
                $bReturn = parent::mct_deletefromdb($this->nId, "tcommunity");
            }
            if( !$bReturn && defined("_DEBUG_MODE_") && isset($debug) ) $debug->mct_add_stack($this, "ERROR", __FILE__, __LINE__);
            return $bReturn;
        }

        /*-----------------------------------------------------------------------
            Method:         mct_print
            Description:    Print Object
            ---------------------------------------------------------------------
            Parameter:      -
            ---------------------------------------------------------------------
            Return:         -
        -----------------------------------------------------------------------*/
        function mct_print( $bAll = true )
        {
            echo "<hr>";
            echo "<table border='1' cellspacing='0' cellpadding='0'><tr><td>";
            echo "<span style='color:red'><b>CCommunity Object</b></span>";
            if( $bAll ) parent::mct_print();
            echo "</td></tr></table>";
        }
    }
?>
