<?php
    /************************************************************************
        Class:          mct_CInterface
        Inheritance:    mct_CFileCFG
        Description:    Object for Interface
    ************************************************************************/
    include_once("../inc/mct_general.inc.php");
    include_once("../inc/mct_func.inc.php");
    include_once("../inc/mct_CFileCFG.class.php");
    include_once("../inc/mct_CCommunity.class.php");
    include_once("../inc/mct_CDebug.class.php");
    include_once("../inc/mct_CDbQuery.class.php");
    include_once("../inc/mct_CLocation.class.php");

    class mct_CInterface extends mct_CFileCFG
    {
        var $strIpaddr;                 // Defines MRTG-Property IP-Address
        var $strIndex;                  // Defines MRTG-Property Index
        var $nMaxBytes;                 // Defines MRTG-Property MaxBytes
        var $strTitle;                  // Defines MRTG-Property Title
        var $strPageTopPre;             // Defines MRTG-Property PageTop[^]
        var $strPageTopApp;             // Defines MRTG-Property PageTop[$]
        var $strPageTop;                // Defines MRTG-Property PageTop
        var $strUnscaled;               // Defines MRTG-Property Unscaled
        var $strSuppress;               // Defines MRTG-Property Suppress
        var $nAbsMax;                   // Defines MRTG-Property AbsMax
        var $strAddHead;                // Defines MRTG-Property AddHead
        var $strDirectory;              // Defines MRTG-Property Directory
        var $strWithPeak;               // Defines MRTG-Property WithPeak
        var $nXSize;                    // Defines MRTG-Property XSize
        var $nYSize;                    // Defines MRTG-Property YSize
        var $fXScale;                   // Defines MRTG-Property XScale
        var $fYScale;                   // Defines MRTG-Property YScale
        var $fXZoom;                    // Defines MRTG-Property XZoom
        var $fYZoom;                    // Defines MRTG-Property YZoom
        var $strCommExt;                // Defines CommExtension of Interface
        var $strOptions;                // Defines MRTG-Property Options
        var $strColors;                 // Defines MRTG-Property Colours
        var $strBackground;             // Defines MRTG-Property Background
        var $strYLegend;                // Defines MRTG-Property YLegend
        var $strShortLegend;            // Defines MRTG-Property ShortLegend
        var $strLegend1;                // Defines MRTG-Property Legend1
        var $strLegend2;                // Defines MRTG-Property Legend2
        var $strLegend3;                // Defines MRTG-Property Legend3
        var $strLegend4;                // Defines MRTG-Property Legend4
        var $strLegendI;                // Defines MRTG-Property LegendI
        var $strLegendO;                // Defines MRTG-Property LegendO
        var $bGlobalIf;                 // Defines if Interface is a Global Interface
        var $objCommunity;              // Defines its Community
        var $objSubLocation;            // Defines its SubLocation
        var $arrConfigFiles = array();  // Defines ConfigFiles-Array-Linktable

        /*-----------------------------------------------------------------------
            CONSTRUCTOR
        -----------------------------------------------------------------------*/
        function mct_CInterface()
        {
            $this->objCommunity = new mct_CCommunity;
            $this->objSubLocation = new mct_CLocation(3);
            $this->mct_init();
        }

        /*-----------------------------------------------------------------------
            Method:         Interface Functions
            Description:    get and set Methods for filling the Properties
        -----------------------------------------------------------------------*/
        function mct_getIpaddr()               { return $this->strIpaddr;      }
        function mct_getIndex()                { return $this->strIndex;       }
        function mct_getMaxBytes()             { return $this->nMaxBytes;      }
        function mct_getTitle()                { return $this->strTitle;       }
        function mct_getPageTopPre()           { return $this->strPageTopPre;  }
        function mct_getPageTopApp()           { return $this->strPageTopApp;  }
        function mct_getPageTop()              { return $this->strPageTop;     }
        function mct_getUnscaled()             { return $this->strUnscaled;    }
        function mct_getSuppress()             { return $this->strSuppress;    }
        function mct_getAbsMax()               { return $this->nAbsMax;        }
        function mct_getAddHead()              { return $this->strAddHead;     }
        function mct_getDirectory()            { return $this->strDirectory;   }
        function mct_getWithPeak()             { return $this->strWithPeak;    }
        function mct_getXSize()                { return $this->nXSize;         }
        function mct_getYSize()                { return $this->nYSize;         }
        function mct_getXScale()               { return $this->fXScale;        }
        function mct_getYScale()               { return $this->fYScale;        }
        function mct_getXZoom()                { return $this->fXZoom;         }
        function mct_getYZoom()                { return $this->fYZoom;         }
        function mct_getCommExt()              { return $this->strCommExt;     }
        function mct_getOptions()              { return $this->strOptions;     }
        function mct_getColors()               { return $this->strColors;      }
        function mct_getBackground()           { return $this->strBackground;  }
        function mct_getYLegend()              { return $this->strYLegend;     }
        function mct_getShortLegend()          { return $this->strShortLegend; }
        function mct_getLegend1()              { return $this->strLegend1;     }
        function mct_getLegend2()              { return $this->strLegend2;     }
        function mct_getLegend3()              { return $this->strLegend3;     }
        function mct_getLegend4()              { return $this->strLegend4;     }
        function mct_getLegendI()              { return $this->strLegendI;     }
        function mct_getLegendO()              { return $this->strLegendO;     }
        function mct_getGlobalIf()             { return $this->bGlobalIf;      }
        function mct_getConfigFiles()          { return $this->arrConfigFiles; }

        function mct_setIpaddr($strValue)      { if( is_string($strValue) ) $this->strIpaddr = $strValue;      }
        function mct_setIndex($strValue)       { if( is_string($strValue) ) $this->strIndex = $strValue;       }
        function mct_setMaxBytes($nValue)      { if( is_int($nValue) ) $this->nMaxBytes = $nValue;             }
        function mct_setTitle($strValue)       { if( is_string($strValue) ) $this->strTitle = $strValue;       }
        function mct_setPageTopPre($strValue)  { if( is_string($strValue) ) $this->strPageTopPre = $strValue;  }
        function mct_setPageTopApp($strValue)  { if( is_string($strValue) ) $this->strPageTopApp = $strValue;  }
        function mct_setPageTop($strValue)     { if( is_string($strValue) ) $this->strPageTop = $strValue;     }
        function mct_setUnscaled($strValue)    { if( is_string($strValue) ) $this->strUnscaled = $strValue;    }
        function mct_setSuppress($strValue)    { if( is_string($strValue) ) $this->strSuppress = $strValue;    }
        function mct_setAbsMax($nValue)        { if( is_int($nValue) ) $this->nAbsMax = $nValue;               }
        function mct_setAddHead($strValue)     { if( is_string($strValue) ) $this->strAddHead = $strValue;     }
        function mct_setDirectory($strValue)   { if( is_string($strValue) ) $this->strDirectory = $strValue;   }
        function mct_setWithPeak($strValue)    { if( is_string($strValue) ) $this->strWithPeak = $strValue;    }
        function mct_setXSize($nValue)         { if( is_int($nValue) ) $this->nXSize = $nValue;                }
        function mct_setYSize($nValue)         { if( is_int($nValue) ) $this->nYSize = $nValue;                }
        function mct_setXScale($fValue)        { if( is_float($fValue) ) $this->fXScale = $fValue;             }
        function mct_setYScale($fValue)        { if( is_float($fValue) ) $this->fYScale = $fValue;             }
        function mct_setXZoom($fValue)         { if( is_float($fValue) ) $this->fXZoom = $fValue;              }
        function mct_setYZoom($fValue)         { if( is_float($fValue) ) $this->fYZoom = $fValue;              }
        function mct_setCommExt($strValue)     { if( is_string($strValue) ) $this->strCommExt = $strValue;     }
        function mct_setOptions($strValue)     { if( is_string($strValue) ) $this->strOptions = $strValue;     }
        function mct_setColors($strValue)      { if( is_string($strValue) ) $this->strColors = $strValue;      }
        function mct_setBackground($strValue)  { if( is_string($strValue) ) $this->strBackground = $strValue;  }
        function mct_setYLegend($strValue)     { if( is_string($strValue) ) $this->strYLegend = $strValue;     }
        function mct_setShortLegend($strValue) { if( is_string($strValue) ) $this->strShortLegend = $strValue; }
        function mct_setLegend1($strValue)     { if( is_string($strValue) ) $this->strLegend1 = $strValue;     }
        function mct_setLegend2($strValue)     { if( is_string($strValue) ) $this->strLegend2 = $strValue;     }
        function mct_setLegend3($strValue)     { if( is_string($strValue) ) $this->strLegend3 = $strValue;     }
        function mct_setLegend4($strValue)     { if( is_string($strValue) ) $this->strLegend4 = $strValue;     }
        function mct_setLegendI($strValue)     { if( is_string($strValue) ) $this->strLegendI = $strValue;     }
        function mct_setLegendO($strValue)     { if( is_string($strValue) ) $this->strLegendO = $strValue;     }
        function mct_setGlobalIf($bValue)      { if( is_bool($bValue) ) $this->bGlobalIf = $bValue;            }
        function mct_setConfigFiles($arrValue) { if( is_array($arrValue) ) $this->arrConfigFiles = $arrValue;  }

        /*-----------------------------------------------------------------------
            Method:         mct_init
            Description:    Initialize Properties
            ---------------------------------------------------------------------
            Parameter:      -
            ---------------------------------------------------------------------
            Return:         -
        -----------------------------------------------------------------------*/
        function mct_init()
        {
            parent::mct_init();
            $this->strIpaddr        = "";
            $this->strIndex         = "";
            $this->nMaxBytes        = -1;
            $this->strTitle         = "";
            $this->strPageTopPre    = "";
            $this->strPageTopApp    = "";
            $this->strPageTop       = "";
            $this->strUnscaled      = "";
            $this->nSuppress        = "";
            $this->nAbsMax          = -1;
            $this->strAddHead       = "";
            $this->strDirectory     = "";
            $this->strWithPeak      = "";
            $this->nXSize           = -1;
            $this->nYSize           = -1;
            $this->fXScale          = -1.0;
            $this->fYScale          = -1.0;
            $this->fXZoom           = -1.0;
            $this->fYZoom           = -1.0;
            $this->strCommExt       = "";
            $this->strOptions       = "";
            $this->strColors        = "";
            $this->strBackground    = "";
            $this->strYLegend       = "";
            $this->strShortLegend   = "";
            $this->strLegend1       = "";
            $this->strLegend2       = "";
            $this->strLegend3       = "";
            $this->strLegend4       = "";
            $this->strLegendI       = "";
            $this->strLegendO       = "";
            $this->bGlobalIf        = false;
            $this->arrConfigFiles   = array();
        }

        /*-----------------------------------------------------------------------
            Method:         mct_free
            Description:    Free result and clean up
            ---------------------------------------------------------------------
            Parameter:      -
            ---------------------------------------------------------------------
            Return:         -
        -----------------------------------------------------------------------*/
        function mct_free()
        {
            // Free Objects
            if(isset($this->objCommunity)) $this->objCommunity->mct_free();
            if(isset($this->objSubLocation)) $this->objSubLocation->mct_free();
            // Free Parent
            parent::mct_free();
            // Set Object to NULL
            $this = null;
        }

        /*-----------------------------------------------------------------------
            Method:         mct_writedb
            Description:    Insert or Updates Object to Database
            ---------------------------------------------------------------------
            Parameter:      -
            ---------------------------------------------------------------------
            Return:         Boolean            true if Ok, false if faild
        -----------------------------------------------------------------------*/
        function mct_writedb()
        {
            global $debug;
            $bReturn = false;

            // Create Query-Object
            $objDB = new mct_CDbQuery;

            // Check if Object has an ID
            if( $this->nId == -1 )
            {
                // Get New ID on tconfigfile
                $this->nId = $this->mct_getNewID('tinterface');

                // Evaluate GlobalInterface for SQL
                if( $this->bGlobalIf ) $nGlobalIf = 1;
                else $nGlobalIf = 0;

                // Create INSERT Query
                $objDB->mct_setQuery("INSERT INTO tinterface(`ID`, `Name`, `Ipaddr`, `Index`, `MaxBytes`, `Title`, "
                    . "`PageTopPre`, `PageTopApp`, `PageTop`, `Unscaled`, `Suppress`, `AbsMax`, `AddHead`, `Directory`, `WithPeak`, "
                    . "`XSize`, `YSize`, `XScale`, `YScale`, `XZoom`, `YZoom`, `CommExt`, `Options`, `Colors`, `Background`, "
                    . "`YLegend`, `ShortLegend`, `Legend1`, `Legend2`, `Legend3`, `Legend4`, `LegendI`, `LegendO`, `GlobalIf`, "
                    . "`fkCommunityID`, `fkSubLocationID`  ) VALUES( "
                    . $this->nId
                    . ", '" . $objDB->mct_DBStr($this->strName) . "'"
                    . ", '" . $objDB->mct_DBStr($this->strIpaddr) . "'"
                    . ", '" . $this->strIndex . "'"
                    . ", " . $this->nMaxBytes
                    . ", '" . $objDB->mct_DBStr($this->strTitle) . "'"
                    . ", '" . $objDB->mct_DBStr($this->strPageTopPre) . "'"
                    . ", '" . $objDB->mct_DBStr($this->strPageTopApp) . "'"
                    . ", '" . $objDB->mct_DBStr($this->strPageTop) . "'"
                    . ", '" . $this->strUnscaled . "'"
                    . ", '" . $this->strSuppress . "'"
                    . ", " . $this->nAbsMax
                    . ", '" . $objDB->mct_DBStr($this->strAddHead) . "'"
                    . ", '" . $this->strDirectory . "'"
                    . ", '" . $this->strWithPeak . "'"
                    . ", " . $this->nXSize
                    . ", " . $this->nYSize
                    . ", " . $this->fXScale
                    . ", " . $this->fYScale
                    . ", " . $this->fXZoom
                    . ", " . $this->fYZoom
                    . ", '" . $this->strCommExt . "'"
                    . ", '" . $this->strOptions . "'"
                    . ", '" . $this->strColors . "'"
                    . ", '" . $this->strBackground . "'"
                    . ", '" . $this->strYLegend . "'"
                    . ", '" . $this->strShortLegend . "'"
                    . ", '" . $objDB->mct_DBStr($this->strLegend1) . "'"
                    . ", '" . $objDB->mct_DBStr($this->strLegend2) . "'"
                    . ", '" . $objDB->mct_DBStr($this->strLegend3) . "'"
                    . ", '" . $objDB->mct_DBStr($this->strLegend4) . "'"
                    . ", '" . $objDB->mct_DBStr($this->strLegendI) . "'"
                    . ", '" . $objDB->mct_DBStr($this->strLegendO) . "'"
                    . ", " . $nGlobalIf
                    . ", " . $this->objCommunity->mct_getId()
                    . ", " . $this->objSubLocation->mct_getId()
                    . " )");

                // Execute Query
                if( ! $objDB->mct_execute() )
                {
                    // Error happend
                    $objDB->objReturn->mct_print();
                }
                else
                {
                    $bReturn = true;
                    // Loop Interface-Array and write into Merge-Table
                    foreach( $this->arrConfigFiles as $Val )
                    {
                        // Get New ID on tz_ifcfg
                        $nNewId = $this->mct_getNewID('tz_ifcfg');
                        // Create INSERT Query
                        $objDB->mct_setQuery("INSERT INTO tz_ifcfg(`ID`, `fkInterfaceID`, `fkConfigFileID`) VALUES("
                            .$nNewId . "," . $this->nId . "," . $Val
                            .")");
                        // Execute Query
                        if( ! $objDB->mct_execute() )
                        {
                            // Error happend
                            $objDB->objReturn->mct_print();
                            $bReturn = false;
                            break;
                        }
                    }
                }
            }
            // Object has ID, so Update it!
            else
            {
                // Evaluate GlobalInterface for SQL
                if( $this->bGlobalIf ) $nGlobalIf = 1;
                else $nGlobalIf = 0;

                // Create UPDATE Query
                $objDB->mct_setQuery("UPDATE tinterface SET "
                    ."  `Name`='"           . $objDB->mct_DBStr($this->strName) . "'"
                    .", `Ipaddr`='"         . $this->strIpaddr . "'"
                    .", `Index`='"          . $this->strIndex . "'"
                    .", `MaxBytes`="        . $this->nMaxBytes
                    .", `Title`='"          . $objDB->mct_DBStr($this->strTitle) . "'"
                    .", `PageTopPre`='"     . $objDB->mct_DBStr($this->strPageTopPre) . "'"
                    .", `PageTopApp`='"     . $objDB->mct_DBStr($this->strPageTopApp) . "'"
                    .", `PageTop`='"        . $objDB->mct_DBStr($this->strPageTop) . "'"
                    .", `Unscaled`='"       . $this->strUnscaled . "'"
                    .", `Suppress`='"       . $this->strSuppress . "'"
                    .", `AbsMax`="          . $this->nAbsMax
                    .", `AddHead`='"        . $objDB->mct_DBStr($this->strAddHead) . "'"
                    .", `Directory`='"      . $this->strDirectory . "'"
                    .", `WithPeak`='"       . $this->strWithPeak . "'"
                    .", `XSize`="           . $this->nXSize
                    .", `YSize`="           . $this->nYSize
                    .", `XScale`="          . $this->fXScale
                    .", `YScale`="          . $this->fYScale
                    .", `XZoom`="           . $this->fXZoom
                    .", `YZoom`="           . $this->fYZoom
                    .", `CommExt`='"        . $this->strCommExt . "'"
                    .", `Options`='"        . $this->strOptions . "'"
                    .", `Colors`='"         . $this->strColors . "'"
                    .", `Background`='"     . $this->strBackground . "'"
                    .", `YLegend`='"        . $objDB->mct_DBStr($this->strYLegend) . "'"
                    .", `ShortLegend`='"    . $objDB->mct_DBStr($this->strShortLegend) . "'"
                    .", `Legend1`='"        . $objDB->mct_DBStr($this->strLegend1) . "'"
                    .", `Legend2`='"        . $objDB->mct_DBStr($this->strLegend2) . "'"
                    .", `Legend3`='"        . $objDB->mct_DBStr($this->strLegend3) . "'"
                    .", `Legend4`='"        . $objDB->mct_DBStr($this->strLegend4) . "'"
                    .", `LegendI`='"        . $objDB->mct_DBStr($this->strLegendI) . "'"
                    .", `LegendO`='"        . $objDB->mct_DBStr($this->strLegendO) . "'"
                    .", `GlobalIf`="        . $nGlobalIf
                    .", `fkCommunityID`="   . $this->objCommunity->mct_getId()
                    .", `fkSubLocationID`=" . $this->objSubLocation->mct_getId()
                    ." WHERE ID=" . $this->nId);

                // Execute Query
                if( ! $objDB->mct_execute() )
                {
                    // Error happend
                    $objDB->objReturn->mct_print();
                }
                else
                {
                    $bReturn = true;
                    // Create DELETE Query -> Delete Records on tz_ifcfg
                    $objDB->mct_setQuery("DELETE FROM tz_ifcfg WHERE `fkInterfaceID` = " . $this->nId);
                    // Execute Query
                    if( ! $objDB->mct_execute() )
                    {
                        // Error happend
                        $bReturn = false;
                        $objDB->objReturn->mct_print();
                    }
                    else
                    {
                        $bReturn = true;
                        // Loop Interface-Array and write into Merge-Table
                        foreach( $this->arrConfigFiles as $Val )
                        {
                            // Get New ID on tz_ifcfg
                            $nNewId = $this->mct_getNewID('tz_ifcfg');
                            // Create INSERT Query
                            $objDB->mct_setQuery("INSERT INTO tz_ifcfg(`ID`, `fkInterfaceID`, `fkConfigFileID`) VALUES("
                                .$nNewId . "," . $this->nId . "," . $Val
                                .")");
                            // Execute Query
                            if( ! $objDB->mct_execute() )
                            {
                                // Error happend
                                $objDB->objReturn->mct_print();
                                $bReturn = false;
                                break;
                            }
                        }
                    }
                }
            }
            // Free Object
            $objDB->mct_free();
            if( !$bReturn && defined("_DEBUG_MODE_") && isset($debug) ) $debug->mct_add_stack($this, "ERROR", __FILE__, __LINE__);
            return $bReturn;
        }

        /*-----------------------------------------------------------------------
            Method:         mct_writefile
            Description:    Append Object to File
            ---------------------------------------------------------------------
            Parameter:      strFile         Full Filepath ("c:/temp/xy.txt")
                            strUnique       Optional: Own Unique String between []
                            bAll            All Data, else reduce Data (Used for writing GlobalInterface)
            ---------------------------------------------------------------------
            Return:         Boolean         true if Ok, false if faild
        -----------------------------------------------------------------------*/
        function mct_writefile( $strFile = "", $strUnique = "", $bAll = true )
        {
            global $debug;

            $bReturn = false;

            // check for Save-Mode
            if( defined("_SAVE_MODE_") )
            {
                echo "<p><b>Warning:</b> Action can NOT proceed because SAVE-MODE is ON!</p>";
                return $bReturn;
            }

            // Validate
            if( $strFile == "" || $this->nId == -1 ) return -1;

            // Write File
            $objReturn = mct_write_file($strFile, "# Interface: " . $this->strName, "append");
            // Check for Errors
            if( $objReturn->mct_iserror() )
            {
                $objReturn->mct_print();
            }
            else
            {
                // Check for Empty Ipaddr (for generating the Target),
                // but ignore if reduced Data is selected (bAll = false)
                if( !$bAll || $this->strIpaddr != "" )
                {
                    // Generate Unique Target-String if needed
                    if( $strUnique == "" ) $strUnique = $this->strIpaddr . "." . $this->strIndex;

                    // Write Data to File
                    if( $bAll )
                    {
                        // GlobalInterface does NOT NEED Target-Parameter
                        $strTarget = $this->strIndex . ":" . $this->objCommunity->mct_getName() . "@" . $this->strIpaddr;
                        if( $this->strCommExt != "" ) $strTarget .= ":" . $this->strCommExt;
                        mct_write_file($strFile, "Target[" . $strUnique . "]:" . $strTarget, "append");
                    }
                    if( $this->nMaxBytes != -1 )     mct_write_file($strFile, "MaxBytes[" . $strUnique . "]: " . $this->nMaxBytes, "append");
                    if( $this->strTitle != "" )      mct_write_file($strFile, "Title[" . $strUnique . "]: " . $this->strTitle, "append");
                    if( $this->strPageTopPre != "" ) mct_write_file($strFile, "PageTop[^]: " . $this->strPageTopPre, "append");
                    if( $this->strPageTopApp != "" ) mct_write_file($strFile, "PageTop[\$]: " . $this->strPageTopApp, "append");
                    if( $this->strPageTop != "" )    mct_write_file($strFile, "PageTop[" . $strUnique . "]: " . $this->strPageTop, "append");
                    if( $this->strUnscaled != "" )   mct_write_file($strFile, "Unscaled[" . $strUnique . "]: " . $this->strUnscaled, "append");
                    if( $this->strSuppress != "" )   mct_write_file($strFile, "Suppress[" . $strUnique . "]: " . $this->strSuppress, "append");
                    if( $this->nAbsMax != -1 )       mct_write_file($strFile, "AbsMax[" . $strUnique . "]: " . $this->nAbsMax, "append");
                    if( $this->strAddHead != "" )    mct_write_file($strFile, "AddHead[" . $strUnique . "]: " . $this->strAddHead, "append");
                    if( $this->strDirectory != "" )  mct_write_file($strFile, "Directory[" . $strUnique . "]: " . $this->strDirectory, "append");
                    if( $this->strWithPeak != "" )   mct_write_file($strFile, "WithPeak[" . $strUnique . "]: " . $this->strWithPeak, "append");
                    if( $this->nXSize != -1 )        mct_write_file($strFile, "XSize[" . $strUnique . "]: " . $this->nXSize, "append");
                    if( $this->nYSize != -1 )        mct_write_file($strFile, "YSize[" . $strUnique . "]: " . $this->nYSize, "append");
                    if( $this->fXScale != -1.0 )     mct_write_file($strFile, "XScale[" . $strUnique . "]: " . $this->fXScale, "append");
                    if( $this->fYScale != -1.0 )     mct_write_file($strFile, "YScale[" . $strUnique . "]: " . $this->fYScale, "append");
                    if( $this->fXZoom != -1.0 )      mct_write_file($strFile, "XZoom[" . $strUnique . "]: " . $this->fXZoom, "append");
                    if( $this->fYZoom != -1.0 )      mct_write_file($strFile, "YZoom[" . $strUnique . "]: " . $this->fYZoom, "append");
                    if( $this->strOptions != "" )
                    {
                        $bFirstElementWritten = false;
                        mct_write_file($strFile, "Options[" . $strUnique . "]: ", "append", false);
                        // explode Options to an Array
                        $arr = explode(",", $this->strOptions);
                        // loop elements and write them to file
                        for($i=0; $i < count($arr); $i++)
                        {
                           // check for empty elements
                           if( strlen(trim($arr[$i])) > 0 )
                           {
                               // if first element don't write the comma
                               if( !$bFirstElementWritten )
                               {
                                  mct_write_file($strFile, $arr[$i], "append", false);
                                  $bFirstElementWritten = true;
                               }
                               else mct_write_file($strFile, "," . $arr[$i], "append", false);
                           }
                        }
                        mct_write_file($strFile, " ", "append", true);
                    }
                    if( $this->strColors != "" )      mct_write_file($strFile, "Colours[" . $strUnique . "]: " . $this->strColors, "append");
                    if( $this->strBackground != "" )  mct_write_file($strFile, "Background[" . $strUnique . "]: " . $this->strBackground, "append");
                    if( $this->strYLegend != "" )     mct_write_file($strFile, "YLegend[" . $strUnique . "]: " . $this->strYLegend, "append");
                    if( $this->strShortLegend != "" ) mct_write_file($strFile, "ShortLegend[" . $strUnique . "]: " . $this->strShortLegend, "append");
                    if( $this->strLegend1 != "" )     mct_write_file($strFile, "Legend1[" . $strUnique . "]: " . $this->strLegend1, "append");
                    if( $this->strLegend2 != "" )     mct_write_file($strFile, "Legend2[" . $strUnique . "]: " . $this->strLegend2, "append");
                    if( $this->strLegend3 != "" )     mct_write_file($strFile, "Legend3[" . $strUnique . "]: " . $this->strLegend3, "append");
                    if( $this->strLegend4 != "" )     mct_write_file($strFile, "Legend4[" . $strUnique . "]: " . $this->strLegend4, "append");
                    if( $this->strLegendI != "" )     mct_write_file($strFile, "LegendI[" . $strUnique . "]: " . $this->strLegendI, "append");
                    if( $this->strLegendO != "" )     mct_write_file($strFile, "LegendO[" . $strUnique . "]: " . $this->strLegendO, "append");
                    $bReturn = true;
                }
                else mct_write_file($strFile, "Interface could NOT be written -> No Target defined!", "append");
            }
            if( !$bReturn && defined("_DEBUG_MODE_") && isset($debug) ) $debug->mct_add_stack($this, "ERROR", __FILE__, __LINE__);
            return $bReturn;
        }

        /*-----------------------------------------------------------------------
            Method:         mct_getfromdb
            Description:    Get Object from Database
            ---------------------------------------------------------------------
            Parameter:      $nId            Integer of Record ID
            ---------------------------------------------------------------------
            Return:         Boolean         true if Ok, false if faild
        -----------------------------------------------------------------------*/
        function mct_getfromdb( $nId = -1)
        {
            global $debug;

            $bReturn = false;

            // Create Query-Object
            $objDB = new mct_CDbQuery;

            // Generate Query
            $objDB->mct_setQuery("SELECT * FROM tinterface WHERE `ID` = $nId");
            // Execute Query and check for Data
            if( ! $objDB->mct_execute() )
            {
                // Error happend or no Record in DB
                // $objDB->objReturn->mct_print();
                $debug->mct_add_error("Error on mct_CInterface::mct_getfromdb() - See the ERROR-Object on Stack", __FILE__, __LINE__);
                $debug->mct_add_stack($objDB, "ERROR", __FILE__, __LINE__);
                $debug->mct_add_stack($this, "ERROR", __FILE__, __LINE__);
            }
            elseif( $objDB->mct_getRecordCount() == 0 )
            {
                // Print DB-Object
                $objDB->mct_print(false);
            }
            else
            {
                // Fill Attributes
                $this->nId              = (int)$objDB->objRow->ID;
                $this->strName          = $objDB->objRow->Name;
                $this->strIpaddr        = $objDB->objRow->Ipaddr;
                $this->strIndex         = $objDB->objRow->Index;
                $this->nMaxBytes        = (int)$objDB->objRow->MaxBytes;
                $this->strTitle         = $objDB->objRow->Title;
                $this->strPageTopPre    = $objDB->objRow->PageTopPre;
                $this->strPageTopApp    = $objDB->objRow->PageTopApp;
                $this->strPageTop       = $objDB->objRow->PageTop;
                $this->strUnscaled      = $objDB->objRow->Unscaled;
                $this->strSuppress      = $objDB->objRow->Suppress;
                $this->nAbsMax          = (int)$objDB->objRow->AbsMax;
                $this->strAddHead       = $objDB->objRow->AddHead;
                $this->strDirectory     = $objDB->objRow->Directory;
                $this->strWithPeak      = $objDB->objRow->WithPeak;
                $this->nXSize           = (int)$objDB->objRow->XSize;
                $this->nYSize           = (int)$objDB->objRow->YSize;
                $this->fXScale          = (float)$objDB->objRow->XScale;
                $this->fYScale          = (float)$objDB->objRow->YScale;
                $this->fXZoom           = (float)$objDB->objRow->XZoom;
                $this->fYZoom           = (float)$objDB->objRow->YZoom;
                $this->strCommExt       = $objDB->objRow->CommExt;
                $this->strOptions       = $objDB->objRow->Options;
                $this->strColors        = $objDB->objRow->Colors;
                $this->strBackground    = $objDB->objRow->Background;
                $this->strYLegend       = $objDB->objRow->YLegend;
                $this->strShortLegend   = $objDB->objRow->ShortLegend;
                $this->strLegend1       = $objDB->objRow->Legend1;
                $this->strLegend2       = $objDB->objRow->Legend2;
                $this->strLegend3       = $objDB->objRow->Legend3;
                $this->strLegend4       = $objDB->objRow->Legend4;
                $this->strLegendI       = $objDB->objRow->LegendI;
                $this->strLegendO       = $objDB->objRow->LegendO;
                if( $objDB->objRow->GlobalIf == 1 ) $this->bGlobalIf = true;
                else $this->bGlobalIf = false;

                // Fill Community and Sublocation Object if its NOT a Global IF
                if( ! $this->bGlobalIf )
                {
                    $this->objCommunity->mct_getfromdb($objDB->objRow->fkCommunityID);
                    $this->objSubLocation->mct_getfromdb($objDB->objRow->fkSubLocationID);
                }

                $objDBConfigFiles = new mct_CDbQuery;
                // Generate Query for all Configfiles this Interface
                $objDBConfigFiles->mct_setQuery("SELECT fkConfigFileID FROM tz_ifcfg WHERE `fkInterfaceID` = " . $this->nId);
                // Execute Query
                if( ! $objDBConfigFiles->mct_execute() )
                {
                    // Error happend
                    $objDBConfigFiles->objReturn->mct_print();
                }
                else
                {
                    // Fill Interfaces
                    for( $i=0; $i < $objDBConfigFiles->mct_getRecordCount(); $i++ )
                    {
                        $this->arrConfigFiles[$i] = $objDBConfigFiles->objRow->fkConfigFileID;
                        $objDBConfigFiles->mct_getNext();
                    }
                    $bReturn = true;
                }
                $objDBConfigFiles->mct_free();
            }
            $objDB->mct_free();
            if( !$bReturn && defined("_DEBUG_MODE_") && isset($debug) ) $debug->mct_add_stack($this, "ERROR", __FILE__, __LINE__);
            return $bReturn;
        }

        /*-----------------------------------------------------------------------
            Method:         mct_deletefromdb
            Description:    Delete a Record from a Table
            ---------------------------------------------------------------------
            Return:         Boolean          true if Ok, false if faild
        -----------------------------------------------------------------------*/
        function mct_deletefromdb()
        {
            global $debug;

            $bReturn = false;
            if( $this->nId > -1 )
            {
                if( parent::mct_deletefromdb($this->nId, "tinterface") )
                {
                     // delete all records in tz_ifcfg
                     $objDel = new mct_CDbQuery;
                     // Generate Query
                     $objDel->mct_setQuery("DELETE FROM tz_ifcfg WHERE `fkInterfaceID`=" . $this->nId);
                     // Execute Query and check for Error
                     if( $objDel->mct_execute() ) $bReturn = true;
                     else $objDel->objReturn->mct_print();
                     $objDel->mct_free();
                }
            }
            if( !$bReturn && defined("_DEBUG_MODE_") && isset($debug) ) $debug->mct_add_stack($this, "ERROR", __FILE__, __LINE__);
            return $bReturn;
        }

        /*-----------------------------------------------------------------------
            Method:         mct_print
            Description:    Print Object
            ---------------------------------------------------------------------
            Parameter:      $bAll            For Parent Object Information
            ---------------------------------------------------------------------
            Return:         -
        -----------------------------------------------------------------------*/
        function mct_print( $bAll = true )
        {
            echo "<hr>";
            echo "<table border='1' cellspacing='0' cellpadding='0'><tr><td>";
            echo "<span style='color:red'><b>CInterface Object</b></span>";
            // Check if Print of Parent is desired
            if( $bAll ) parent::mct_print();
            echo "<hr>";
            echo "<b>CInterface Object</b><br>";
            echo "<table border='0'>";
            echo "<tr valign='top'><td><b>Ipaddr:</b></td><td>" . $this->strIpaddr . "</td></tr>";
            echo "<tr valign='top'><td><b>Index:</b></td><td>" . $this->strIndex . "</td></tr>";
            echo "<tr valign='top'><td><b>MaxBytes:</b></td><td>" . $this->nMaxBytes . "</td></tr>";
            echo "<tr valign='top'><td><b>Title:</b></td><td>" . $this->strTitle . "</td></tr>";
            echo "<tr valign='top'><td><b>PageTopPre:</b></td><td>" . $this->strPageTopPre . "</td></tr>";
            echo "<tr valign='top'><td><b>PageTopApp:</b></td><td>" . $this->strPageTopApp . "</td></tr>";
            echo "<tr valign='top'><td><b>PageTop:</b></td><td>" . $this->strPageTop . "</td></tr>";
            echo "<tr valign='top'><td><b>Unscaled:</b></td><td>" . $this->strUnscaled . "</td></tr>";
            echo "<tr valign='top'><td><b>Suppress:</b></td><td>" . $this->strSuppress . "</td></tr>";
            echo "<tr valign='top'><td><b>AbsMax:</b></td><td>" . $this->nAbsMax . "</td></tr>";
            echo "<tr valign='top'><td><b>AddHead:</b></td><td>" . $this->strAddHead . "</td></tr>";
            echo "<tr valign='top'><td><b>Directory:</b></td><td>" . $this->strDirectory . "</td></tr>";
            echo "<tr valign='top'><td><b>WithPeak:</b></td><td>" . $this->strWithPeak . "</td></tr>";
            echo "<tr valign='top'><td><b>XSize:</b></td><td>" . $this->nXSize . "</td></tr>";
            echo "<tr valign='top'><td><b>YSize:</b></td><td>" . $this->nYSize . "</td></tr>";
            echo "<tr valign='top'><td><b>XScale:</b></td><td>" . $this->fXScale . "</td></tr>";
            echo "<tr valign='top'><td><b>YScale:</b></td><td>" . $this->fYScale . "</td></tr>";
            echo "<tr valign='top'><td><b>XZoom:</b></td><td>" . $this->fXZoom . "</td></tr>";
            echo "<tr valign='top'><td><b>YZoom:</b></td><td>" . $this->fYZoom . "</td></tr>";
            echo "<tr valign='top'><td><b>CommExt:</b></td><td>" . $this->strCommExt . "</td></tr>";
            echo "<tr valign='top'><td><b>Options:</b></td><td>" . $this->strOptions . "</td></tr>";
            echo "<tr valign='top'><td><b>Colors:</b></td><td>" . $this->strColors . "</td></tr>";
            echo "<tr valign='top'><td><b>Background:</b></td><td>" . $this->strBackground . "</td></tr>";
            echo "<tr valign='top'><td><b>YLegend:</b></td><td>" . $this->strYLegend . "</td></tr>";
            echo "<tr valign='top'><td><b>ShortLegend:</b></td><td>" . $this->strShortLegend . "</td></tr>";
            echo "<tr valign='top'><td><b>Legend1:</b></td><td>" .  $this->strLegend1 . "</td></tr>";
            echo "<tr valign='top'><td><b>Legend2:</b></td><td>" . $this->strLegend2 . "</td></tr>";
            echo "<tr valign='top'><td><b>Legend3:</b></td><td>" . $this->strLegend3 . "</td></tr>";
            echo "<tr valign='top'><td><b>Legend4:</b></td><td>" . $this->strLegend4 . "</td></tr>";
            echo "<tr valign='top'><td><b>LegendI:</b></td><td>" . $this->strLegendI . "</td></tr>";
            echo "<tr valign='top'><td><b>LegendO:</b></td><td>" . $this->strLegendO . "</td></tr>";
            echo "<tr valign='top'><td><b>GlobalIf:</b></td><td>";
            if( $this->bGlobalIf ) echo "true";
            else echo "false";
            echo  "</td></tr>";

            echo "<tr valign='top'><td><b>Community:</b></td><td>";
                $this->objCommunity->mct_print();
            echo "</td></tr>";
            echo "<tr valign='top'><td><b>SubLocation:</b></td><td>";
                $this->objSubLocation->mct_print();
            echo "</td></tr>";
            echo "<tr valign='top'><td><b>ConfigFiles:</b></td><td>";
                print_r($this->arrConfigFiles);
            echo "</td></tr>";
            echo "</table>";
            echo "</td></tr></table>";
        }
    }
?>
