<?php
    /************************************************************************
        Class:          mct_CReturn
        Inheritance:    non (Base class)
        Description:    Return Object
    ************************************************************************/
    include_once("../inc/mct_general.inc.php");
    include_once("../inc/mct_func.inc.php");
    include_once("../inc/mct_CDebug.class.php");

    class mct_CReturn
    {
        var $nNumber;           // Defines Number of Error or Message
        var $strDescription;    // Defines Description of Error or Message

        /*-----------------------------------------------------------------------
            CONSTRUCTOR
        -----------------------------------------------------------------------*/
        function mct_CReturn()
        {
            // Init Object
            $this->mct_init();
        }

        /*-----------------------------------------------------------------------
            Method:         Interface Functions
            Description:    get and set Methods for filling the Properties
        -----------------------------------------------------------------------*/
        function mct_getNumber()                 { return $this->nNumber;        }
        function mct_getDescription()            { return $this->strDescription; }
        function mct_setNumber( $nValue )        { if( is_int($nValue) ) $this->nNumber = $nValue;               }
        function mct_setDescription( $strValue ) { if( is_string($strValue) ) $this->strDescription = $strValue; }

        /*-----------------------------------------------------------------------
            Method:         mct_print
            Description:    Print Object
            ---------------------------------------------------------------------
            Parameter:      -
            ---------------------------------------------------------------------
            Return:         -
        -----------------------------------------------------------------------*/
        function mct_print()
        {
            echo "<hr>";
            echo "<table border='1' cellspacing='0' cellpadding='0'><tr><td>";
            echo "<span style='color:red'><b>CReturn Object</b></span>";
            echo "<table border='0'>";
            echo "<tr valign='top'><td><b>Number:</b></td><td>" . $this->nNumber . "</td></tr>";
            // Decide if Error or Message
            echo "<tr valign='top'><td><b>Type:</b></td><td>";
            if( $this->mct_iserror() ) echo "Error";
            else if( $this->mct_ismessage() ) echo "Message";
            else echo "Empty";
            echo "</td></tr>";
            echo "<tr valign='top'><td><b>Description:</b></td><td>" . $this->strDescription . "</td></tr>";
            echo "</table>";
            echo "</td></tr></table>";
        }

        /*-----------------------------------------------------------------------
            Method:         mct_free
            Description:    Clear the Object
            ---------------------------------------------------------------------
            Parameter:      -
            ---------------------------------------------------------------------
            Return:         -
        -----------------------------------------------------------------------*/
        function mct_free()
        {
            // Set Object to NULL
            $this = null;
        }

        /*-----------------------------------------------------------------------
            Method:         mct_isfilled
            Description:    Checks state if Object is filled
            ---------------------------------------------------------------------
            Parameter:      -
            ---------------------------------------------------------------------
            Return:         Boolean            true if Filled, else false
        -----------------------------------------------------------------------*/
        function mct_isfilled()
        {
            // Object is filled when Number != 0
            if( $this->nNumber != 0 ) return true;
            else return false;
        }

        /*-----------------------------------------------------------------------
            Method:         mct_iserror
            Description:    Checks state if Object is error
            ---------------------------------------------------------------------
            Parameter:      -
            ---------------------------------------------------------------------
            Return:         Boolean            true if Error, else false
        -----------------------------------------------------------------------*/
        function mct_iserror()
        {
            // Object is error when Number < 0
            if( $this->nNumber < 0 ) return true;
            else return false;
        }

        /*-----------------------------------------------------------------------
            Method:         mct_ismessage
            Description:    Checks state if Object is message
            ---------------------------------------------------------------------
            Parameter:      -
            ---------------------------------------------------------------------
            Return:         Boolean            true if Message, else false
        -----------------------------------------------------------------------*/
        function mct_ismessage()
        {
            // Object is error when Number > 0
            if( $this->nNumber > 0 ) return true;
            else return false;
        }

        /*-----------------------------------------------------------------------
            Method:         mct_init
            Description:    Initialize Properties
            ---------------------------------------------------------------------
            Parameter:      -
            ---------------------------------------------------------------------
            Return:         -
        -----------------------------------------------------------------------*/
        function mct_init()
        {
            $this->nNumber = 0;
            $this->strDescription = "";
        }
    }
?>
