<?php
    include_once("../inc/mct_general.inc.php");
    include_once("../inc/mct_CDbQuery.class.php");
    include_once("../inc/mct_CUser.class.php");
    include_once("../inc/mct_CLocation.class.php");
    include_once("../inc/mct_CCommunity.class.php");
    session_start();
?>
<html>
<head>
    <title>MCT Initial (Values)</title>
    <link rel="stylesheet" type="text/css" href="../css/mct.css">
</head>

<body>
<h5>MCT Initial (Values)</h5>
<hr>

<h3>Willkommen beim MRTG Configuration Tool</h3>
<p>Dies ist eine Initialseite von MCT. Sie wird gebraucht, um die Initialwerte der Datenbank zu generieren.<br>
Ohne diese Initialwerte kann MCT nicht gestartet werden, da sich ja noch nicht mal ein Benutzer in der Datenbank befindet!<br>
Diese Seite kann nur einmal aufgerufen werden, um diese Werte zu setzten!</p>
<p><b>Hinweis:</b> Haben Sie die Datei '<b>mct.config.php</b>' bereits korrekt eingestellt?<br>
   <b>Hinweis:</b> Haben Sie das '<b>MCT.ini</b>' welches in der Datei 'mct.config.php' definiert wurde bereits korrekt eingestellt?</p>

<?php
    function write_msg($str, $color="red")
    {
        echo "<font color='" . $color . "'><b>" . $str . "</b></font><br><br>";
    }

    // check for POST-Back
    if( isset($_POST['frmUsr']) && isset($_POST['frmPwd']) && isset($_POST['frmCom'])
        && isset($_POST['frmGLC']) && isset($_POST['frmLC']) && isset($_POST['frmSLC']) )
    {
        // check for Length
        if( strlen($_POST['frmUsr']) > 0 && strlen($_POST['frmPwd']) > 0 && strlen($_POST['frmCom']) > 0
            && strlen($_POST['frmGLC']) > 0 && strlen($_POST['frmLC']) > 0 && strlen($_POST['frmSLC']) > 0 )
        {
            if( isset($_POST['frmDB']) && $_POST['frmDB'] == "MCTTestDB" )
            {
                write_msg("Test Modus aktiviert!", "blue");
                define("_TEST_MODE_",  true);
            }

            // check for existing User on DB
            $qry = new mct_CDbQuery;
            $qry->mct_setQuery("SELECT COUNT(*) AS UsrCnt FROM tUser");
            if( $qry->mct_execute() )
            {
                $cnt = $qry->objRow->UsrCnt;
                if( $cnt < 1 )
                {
                    // Create User
                    $usr = new mct_CUser;
                    $usr->mct_setName($_POST['frmUsr']);
                    $usr->mct_setPassword($_POST['frmPwd']);
                    $usr->mct_setRights(2);     //Administator
                    if( $usr->mct_writedb() ) write_msg("User wurde erfolgreich erstellt!", "blue");
                    else write_msg("Error: User konnte nicht erstellt werden!");

                    // Create Community
                    $com = new mct_CCommunity;
                    $com->mct_setName($_POST['frmCom']);
                    if( $com->mct_writedb() ) write_msg("Community wurde erfolgreich erstellt!", "blue");
                    else write_msg("Error: Community konnte nicht erstellt werden!");

                    // Create Globallocation
                    $glc = new mct_CLocation(1);
                    $glc->mct_setName($_POST['frmGLC']);
                    if( $glc->mct_writedb() )
                    {
                        write_msg("Globallocation wurde erfolgreich erstellt!", "blue");

                        // Create Location
                        $lc = new mct_CLocation(2);
                        $lc->mct_setName($_POST['frmLC']);
                        $lc->mct_setParentLocationID($glc->mct_getId());
                        if( $lc->mct_writedb() )
                        {
                            write_msg("Location wurde erfolgreich erstellt!", "blue");

                            // Create Sublocation
                            $slc = new mct_CLocation(3);
                            $slc->mct_setName($_POST['frmSLC']);
                            $slc->mct_setParentLocationID($lc->mct_getId());
                            if( $slc->mct_writedb() ) write_msg("Sublocation wurde erfolgreich erstellt!", "blue");
                            else write_msg("Error: Sublocation konnte nicht erstellt werden!");
                            $slc->mct_free();
                        }
                        else write_msg("Error: Location konnte nicht erstellt werden!");
                        $lc->mct_free();
                    }
                    else write_msg("Error: Globallocation konnte nicht erstellt werden!");

                    // Distroy Objects
                    $usr->mct_free();
                    $com->mct_free();
                    $glc->mct_free();

                    echo "<a class='dotnet' href='../mct_login.htm'>Login</a>";
                    echo "</body>";
                    echo "</html>";
                    exit;
                }
                else
                {
                    write_msg("Es gibt bereits einen oder mehrere User in dieser Datenbank. MCT Initial kann nicht mehr verwendet werden!");
                    echo "<a class='dotnet' href='../mct_login.htm'>Login</a>";
                    echo "</body>";
                    echo "</html>";
                    exit;
                }
            }
            else
            {
                write_msg("Internal Error on Execute!");
                $qry->objReturn->mct_print();
            }
        }
        else write_msg("Eine oder mehrere Angaben sind leer!");
    }
?>


<form action="initial_createVal.php" method="post">
    <table border="0">
        <tr>
            <td>Datenbank</td>
            <td><select name="frmDB">
                <?php
                    $MCTDBSelected = "";
                    $MCTTestDBSelected = "";
                    if( isset($_GET['pMode']) && $_GET['pMode'] == "MCTTestDB")
                        $MCTTestDBSelected = "selected";
                    else $MCTDBSelected = "selected";
                    echo "<option value='MCTDB' " . $MCTDBSelected . ">MCT DB</option>";
                    echo "<option value='MCTTestDB' " . $MCTTestDBSelected . ">MCT Test-DB</option>";
                ?>
            </select></td>
        </tr>
        <tr>
            <td colspan="2"><h4>Erster User</h4></td>
        </tr>
        <tr>
            <td>Username</td>
            <td><input type="text" name="frmUsr" value="Administrator" size="20"></td>
        </tr>
        <tr>
            <td>Passwort</td>
            <td><input type="password" name="frmPwd" size="20"></td>
        </tr>
        <tr>
            <td>Rechte</td>
            <td>Administrator</td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td colspan="2"><h4>Erste Community</h4></td>
        </tr>
        <tr>
            <td>Name</td>
            <td><input type="text" name="frmCom" value size="20"></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td colspan="2"><h4>Erste Locations</h4></td>
        </tr>
        <tr>
            <td>Globallocation</td>
            <td><input type="text" name="frmGLC" size="20"></td>
        </tr>
        <tr>
            <td>Location</td>
            <td><input type="text" name="frmLC" size="20"></td>
        </tr>
        <tr>
            <td>Sublocation</td>
            <td><input type="text" name="frmSLC" size="20"></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td align='right'><input class='dotnet' type='submit' name='cmdsubmit' value='Generate'></td>
        </tr>
    </table>
</form>

</body>
</html>