<?php
    include_once("../inc/mct_CDebug.class.php");
    include_once("../src/validlogin.inc.php");
    $debug = new mct_CDebug();
?>

<html>
  <head>
    <title>Startseite</title>
    <link rel="stylesheet" type="text/css" href="<?php echo $_SESSION["sitestyle"]["mct"]; ?>">
    <?php include_once("../inc/mct_javascr.inc.php"); ?>
  </head>
<body>
<h5>MCT Index</h5>
<a class="dotnet" href="javascript:location.reload();">Reload</a>
<hr>

<?php
    function print_tree($arr)
    {
        echo "<h2>&Uuml;bersicht</h2>";
        $strverl = "";
        for( $i = 0; $i < count($arr); $i++ )
        {
            echo $strverl . $arr[$i];
            echo "<br>";
            $strverl .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
        }
        echo "<br>";
    }

    function print_level1($bAll = false)
    {
        /*--------------------------
         LEVEL 1 - GlobalLocations
         --------------------------*/
        $DbLst = new mct_CDbQuery();
        $DbLst->mct_setQuery("SELECT * FROM tgloballocation ORDER BY Name");
        if( $DbLst->mct_execute() )
        {
            echo "<ul>";
            for( $i = 0; $i < $DbLst->mct_getRecordCount(); $i++ )
            {
                // Create LI-Entry
                $arrTree = array();
                array_push($arrTree, $DbLst->objRow->Name);
                echo "<li><a href='mct_index.php?pLevel=2&pAll=" . $bAll. "&pId=" . $DbLst->objRow->ID . "&pTree=" . implode("|", $arrTree) . "'>" . $DbLst->objRow->Name . "</a>";
                if( strlen($DbLst->objRow->Description) > 0 ) echo " (" . $DbLst->objRow->Description . ")";
                echo "</li>";
                if( $bAll ) print_level2($DbLst->objRow->ID, implode("|", $arrTree), $bAll);
                $DbLst->mct_getNext();
            }
            echo "</ul>";
        }
        else $DbLst->objReturn->mct_print();
        $DbLst->mct_free();
    }

    function print_level2($pId, $pTree, $bAll = false)
    {
        /*--------------------------
         LEVEL 2 - Locations
         --------------------------*/
        $DbLst = new mct_CDbQuery();
        $DbLst->mct_setQuery("SELECT * FROM `tlocation` WHERE `fkGlobalLocationID` = " . $pId . " ORDER BY `Name`");
        if( $DbLst->mct_execute() )
        {
            echo "<ul>";
            for( $i = 0; $i < $DbLst->mct_getRecordCount(); $i++ )
            {
                $arrTree = explode("|", $pTree);
                array_push($arrTree, $DbLst->objRow->Name);
                // Create LI-Entry
                echo "<li><a href='mct_index.php?pLevel=3&pAll=" . $bAll. "&pId=" . $DbLst->objRow->ID . "&pTree=" . implode("|", $arrTree) . "'>" . $DbLst->objRow->Name . "</a>";
                if( strlen($DbLst->objRow->Description) > 0 ) echo " (" . $DbLst->objRow->Description . ")";
                echo "</li>";
                if( $bAll ) print_level3($DbLst->objRow->ID, implode("|", $arrTree), $bAll);
                $DbLst->mct_getNext();
            }
            echo "</ul>";
        }
        else $DbLst->objReturn->mct_print();
        $DbLst->mct_free();
    }

    function print_level3($pId, $pTree, $bAll = false)
    {
        /*--------------------------
         LEVEL 3 - SubLocations
         --------------------------*/
        $DbLst = new mct_CDbQuery();
        $DbLst->mct_setQuery("SELECT * FROM `tsublocation` WHERE `fkLocationID` = " . $pId . " ORDER BY `Name`");
        if( $DbLst->mct_execute() )
        {
            echo "<ul>";
            for( $i = 0; $i < $DbLst->mct_getRecordCount(); $i++ )
            {
                $arrTree = explode("|", $pTree);
                array_push($arrTree, $DbLst->objRow->Name);
                // Create LI-Entry
                echo "<li><a href='mct_index.php?pLevel=4&pAll=" . $bAll. "&pId=" . $DbLst->objRow->ID . "&pTree=" . implode("|", $arrTree) . "'>" . $DbLst->objRow->Name . "</a>";
                if( strlen($DbLst->objRow->Description) > 0 ) echo " (" . $DbLst->objRow->Description . ")";
                echo "</li>";
                if( $bAll ) print_level4($DbLst->objRow->ID, implode("|", $arrTree), $bAll);
                $DbLst->mct_getNext();
            }
            echo "</ul>";
        }
        else $DbLst->objReturn->mct_print();
        $DbLst->mct_free();
    }

    function print_level4($pId, $pTree)
    {
        global $debug;
        /*--------------------------
         LEVEL 4 - Interfaces
         --------------------------*/
        $DbLst = new mct_CDbQuery();
        $DbLst->mct_setQuery("SELECT `ID` FROM `tinterface` WHERE `GlobalIf` = 0 AND `fkSubLocationID` = " . $pId . " ORDER BY `Name`");
        if( $DbLst->mct_execute() )
        {
            echo "<ul>";
            for( $i = 0; $i < $DbLst->mct_getRecordCount(); $i++ )
            {
                // Get Interface
                $if = new mct_CInterface();
                if( $if->mct_getfromdb($DbLst->objRow->ID) )
                {
                    for( $ii = 0; $ii < count($if->arrConfigFiles); $ii++ )
                    {
                        // Get ConfigFile
                        $cfg = new mct_CConfigFile();
                        if( $cfg->mct_getfromdb($if->arrConfigFiles[$ii]) )
                        {
                            // Get Directory
                            $dir = $cfg->mct_getWorkDir() . $if->mct_getDirectory();
                            $search = $if->mct_getIpaddr() . "." . $if->mct_getIndex() . ".html";
                            // Scan Directory
                            if( $res = @opendir($dir) )
                            {
                                $file = readdir($res);  // Pre-Read
                                while( strlen($file) > 0 )
                                {
                                    if( $file == $search )
                                    {
                                        // Create LI-Entry
                                        echo "<li><a href='" . $dir . "/" . $search . "'>" . $if->mct_getName() . "</a>";
                                        echo "</li>";
                                    }
                                    $file = readdir($res);
                                }
                                closedir($res);
                            }
                            else
                            {
                                if( defined("_DEBUG_MODE_") && isset($debug) )
                                    $debug->mct_add_warning("MCT Index: Directory '<b>" . $dir . "</b>' could not be opend for scanning!", __FILE__, __LINE__);
                            }
                        }
                        $cfg->mct_free();
                    }
                }
                $if->mct_free();
                $DbLst->mct_getNext();
            }
            echo "</ul>";
        }
        else $DbLst->objReturn->mct_print();
        $DbLst->mct_free();
    }
?>

<?php
    $bAll = false;
    if( isset($pAll) && $pAll == 1 ) $bAll = true;

    if( ! isset($pLevel) || $pLevel == 1 )
    {
        echo "<h2>GlobalLocations</h2>";
        print_level1($bAll);
    }
    else
    {
        print_tree(explode("|", $pTree));
        if( isset($pId) )
        {
            if( $pLevel == 2 )
            {
                echo "<h2>Locations</h2>";
                print_level2($pId, $pTree, $bAll);
            }
            elseif( $pLevel == 3 )
            {
                echo "<h2>SubLocations</h2>";
                print_level3($pId, $pTree, $bAll);
            }
            elseif( $pLevel == 4 )
            {
                echo "<h2>Interfaces</h2>";
                print_level4($pId, $pTree);
            }
        }
        else
        {
            echo "Error: ID NOT set or NOT recognized as Integer!!!";
        }
    }
?>

</body>
</html>
<?php
    $debug->mct_dump_it();
    $debug->mct_load_it();
?>
