/*
  MCT - MRTG Configuration Tool
  MySQL Database Script FOR MS ACCESS
  SQL-Script for generating the mct Database
*/

CREATE TABLE [tcommunity] (
  [ID] int NOT NULL ,
  [Name] varchar(255) NOT NULL ,
  PRIMARY KEY ([ID])
);

CREATE TABLE [tconfigfile] (
  [ID] int NOT NULL ,
  [Name] varchar(255) NOT NULL ,
  [CreationDate] datetime NOT NULL ,
  [LastChangeDate] datetime NOT NULL ,
  [Directory] varchar(255) NULL ,
  [WorkDir] varchar(255) NULL ,
  [Refresh] int NULL ,
  [Interval] int NULL ,
  [WriteExpires] varchar(3) NULL ,
  [IconDir] varchar(255) NULL ,
  [fkCreatorUserID] int NULL ,
  [fkLastChangerUserID] int NULL ,
  [fkGlobalInterfaceID] int NULL ,
  PRIMARY KEY ([ID])
);

CREATE TABLE [tinterface] (
  [ID] int NOT NULL ,
  [Name] varchar(255) NOT NULL ,
  [Ipaddr] varchar(255) NOT NULL ,
  [Index] varchar(255) NOT NULL ,
  [Title] varchar(255) NULL ,
  [PageTopPre] longtext NULL ,
  [PageTopApp] longtext NULL ,
  [PageTop] longtext NULL ,
  [MaxBytes] int NULL ,
  [Unscaled] varchar(4) NULL ,
  [Suppress] varchar(4) NULL ,
  [AbsMax] int NULL ,
  [AddHead] varchar(255) NULL ,
  [WithPeak] varchar(4) NULL ,
  [XSize] int NULL ,
  [YSize] int NULL ,
  [XScale] float NULL ,
  [YScale] float NULL ,
  [XZoom] float NULL ,
  [YZoom] float NULL ,
  [Directory] varchar(255) NULL ,
  [Options] varchar(255) NULL ,
  [Colors] varchar(255) NULL ,
  [Background] varchar(255) NULL ,
  [YLegend] varchar(255) NULL ,
  [ShortLegend] varchar(255) NULL ,
  [Legend1] varchar(255) NULL ,
  [Legend2] varchar(255) NULL ,
  [Legend3] varchar(255) NULL ,
  [Legend4] varchar(255) NULL ,
  [LegendI] varchar(255) NULL ,
  [LegendO] varchar(255) NULL ,
  [CommExt] varchar(255) NULL ,
  [GlobalIf] bit NOT NULL ,
  [fkCommunityID] int NOT NULL ,
  [fkSubLocationID] int NOT NULL ,
  PRIMARY KEY ([ID])
);

CREATE TABLE [ttask] (
  [ID] int NOT NULL ,
  [Name] varchar(255) NOT NULL ,
  [Creator] varchar(255) NOT NULL ,
  [Comment] varchar(255) NULL ,
  [Parameter] varchar(255) NULL ,
  [Workpath] varchar(255) NULL ,
  [Odw] varchar(255) NOT NULL ,
  [Wday] varchar(25) NULL ,
  [Logname] varchar(255) NULL ,
  [Logpfad] varchar(255) NULL ,
  [Perlpfad] varchar(255) NULL ,
  [Mrtgpfad] varchar(255) NULL ,
  [Tasktyp] varchar(10) NOT NULL ,
  [Intervalday] int NULL ,
  [Intervalweek] int NULL ,
  [Cfgname] varchar(255) NULL ,
  [Cfgpfad] varchar(255) NULL ,
  [Prgname] varchar(255) NULL ,
  [Prgpfad] varchar(255) NULL ,
  [Starttime] varchar(255) NULL ,
  [Account] varchar(20) NULL ,
  [Pwd] varchar(255) NULL ,
  [logact] bit NULL ,
  PRIMARY KEY  ([Id])
);

CREATE TABLE [tuser] (
  [ID] int NOT NULL ,
  [Name] varchar(255) NOT NULL ,
  [Password] varchar(255) NOT NULL ,
  [Rights] int NOT NULL ,
  PRIMARY KEY ([ID])
);

CREATE TABLE [tz_ifcfg] (
  [ID] int NOT NULL ,
  [fkInterfaceID] int NOT NULL ,
  [fkConfigFileID] int NOT NULL ,
  PRIMARY KEY ([ID])
);

CREATE TABLE [tgloballocation] (
  [ID] int NOT NULL PRIMARY KEY ,
  [Name] varchar(50) NOT NULL ,
  [Description] varchar(100)
);

CREATE TABLE [tlocation] (
  [ID] int NOT NULL PRIMARY KEY ,
  [Name] varchar(50) NOT NULL ,
  [Description] varchar(100) NULL ,
  [fkGlobalLocationID] INT NOT NULL
);

CREATE TABLE [tsublocation] (
  [ID] int NOT NULL PRIMARY KEY ,
  [Name] varchar(50) NOT NULL ,
  [Description] varchar(100) NULL ,
  [fkLocationID] INT NOT NULL
);
