# MCT - MRTG Configuration Tool
# MCT Database Script for MySQL
# SQL-Script for generating the mct Database

# Table: 'tcommunity'
CREATE TABLE `tcommunity` (
  `ID` int(11) NOT NULL ,
  `Name` varchar(255) NOT NULL ,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;

# Table: 'tconfigfile'
CREATE TABLE `tconfigfile` (
  `ID` int(11) NOT NULL ,
  `Name` varchar(255) NOT NULL ,
  `CreationDate` date NOT NULL ,
  `LastChangeDate` date NOT NULL ,
  `Directory` varchar(255) NULL ,
  `WorkDir` varchar(255) NULL ,
  `Refresh` int(11) NULL ,
  `Interval` int(11) NULL ,
  `WriteExpires` char(3) NULL ,
  `IconDir` varchar(255) NULL ,
  `fkCreatorUserID` int(11) NULL ,
  `fkLastChangerUserID` int(11) NULL ,
  `fkGlobalInterfaceID` int(11) NULL ,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;

# Table: 'tinterface'
CREATE TABLE `tinterface` (
  `ID` int(11) NOT NULL ,
  `Name` varchar(255) NOT NULL ,
  `Ipaddr` varchar(255) NOT NULL ,
  `Index` varchar(255) NOT NULL ,
  `Title` varchar(255) NULL ,
  `PageTopPre` longtext,
  `PageTopApp` longtext,
  `PageTop` longtext,
  `MaxBytes` bigint(20) NULL ,
  `Unscaled` varchar(4) NULL ,
  `Suppress` varchar(4) NULL ,
  `AbsMax` bigint(20) NULL ,
  `AddHead` varchar(255) NULL ,
  `WithPeak` varchar(4) NULL ,
  `XSize` int(11) NULL ,
  `YSize` int(11) NULL ,
  `XScale` float NULL ,
  `YScale` float NULL ,
  `XZoom` float NULL ,
  `YZoom` float NULL ,
  `Directory` varchar(255) NULL ,
  `Options` varchar(255) NULL ,
  `Colors` varchar(255) NULL ,
  `Background` varchar(255) NULL ,
  `YLegend` varchar(255) NULL ,
  `ShortLegend` varchar(255) NULL ,
  `Legend1` varchar(255) NULL ,
  `Legend2` varchar(255) NULL ,
  `Legend3` varchar(255) NULL ,
  `Legend4` varchar(255) NULL ,
  `LegendI` varchar(255) NULL ,
  `LegendO` varchar(255) NULL ,
  `CommExt` varchar(255) NULL ,
  `GlobalIf` tinyint(1) NOT NULL ,
  `fkCommunityID` int(11) NOT NULL ,
  `fkSubLocationID` int(11) NOT NULL ,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;

# Table: 'ttask'
CREATE TABLE `ttask` (
  `ID` int(11) NOT NULL ,
  `Name` varchar(255) NOT NULL ,
  `Creator` varchar(255) NOT NULL ,
  `Comment` varchar(255) NULL ,
  `Parameter` varchar(255) NULL ,
  `Workpath` varchar(255) NULL ,
  `Odw` varchar(255) NOT NULL ,
  `Wday` varchar(25) NULL ,
  `Logname` varchar(255) NULL ,
  `Logpfad` varchar(255) NULL ,
  `Perlpfad` varchar(255) NULL ,
  `Mrtgpfad` varchar(255) NULL ,
  `Tasktyp` varchar(10) NOT NULL ,
  `Intervalday` int(3) NULL ,
  `Intervalweek` int(3) NULL ,
  `Cfgname` varchar(255) NULL ,
  `Cfgpfad` varchar(255) NULL ,
  `Prgname` varchar(255) NULL ,
  `Prgpfad` varchar(255) NULL ,
  `Starttime` varchar(255) NULL ,
  `Account` varchar(20) NULL ,
  `Pwd` varchar(255) NULL ,
  `logact` tinyint(1) NULL ,
  PRIMARY KEY  (`Id`)
) TYPE=MyISAM;

# Table: 'tuser'
CREATE TABLE `tuser` (
  `ID` int(11) NOT NULL ,
  `Name` varchar(255) NOT NULL ,
  `Password` varchar(255) NOT NULL ,
  `Rights` int(11) NOT NULL ,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;

# Table: 'tz_ifcfg'
CREATE TABLE `tz_ifcfg` (
  `ID` int(11) NOT NULL ,
  `fkInterfaceID` int(11) NOT NULL ,
  `fkConfigFileID` int(11) NOT NULL ,
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;

# Table: 'tgloballocation'
CREATE TABLE `tgloballocation` (
  `ID` int(11) NOT NULL PRIMARY KEY ,
  `Name` varchar(50) NOT NULL ,
  `Description` varchar(100)
) TYPE=MyISAM;

# Table: 'tlocation'
CREATE TABLE `tlocation` (
  `ID` int(11) NOT NULL PRIMARY KEY ,
  `Name` varchar(50) NOT NULL ,
  `Description` varchar(100) NULL ,
  `fkGlobalLocationID` int(11) NOT NULL
) TYPE=MyISAM;

# Table: 'tsublocation'
CREATE TABLE `tsublocation` (
  `ID` int(11) NOT NULL PRIMARY KEY ,
  `Name` varchar(50) NOT NULL ,
  `Description` varchar(100) NULL ,
  `fkLocationID` int(11) NOT NULL
) TYPE=MyISAM;
